<?php
//
//   CF Image Hosting Script 
//   --------------------------
//
//   Author:    codefuture.co.uk
//   Version:   1.4.1
//   Date:      03 April 2011
//
//   download the latest version from - http://codefuture.co.uk/projects/imagehost/
//
//   Copyright (c) 2011 codefuture.co.uk
//   This file is part of the CF Image Hosting Script.
//
//   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
//   COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
//   OR  IN  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
//
//  You may not modify and/or remove any copyright notices or labels on the software on each
//  page (unless full license is purchase) and in the header of each script source file.
//
//  You should have received a full copy of the LICENSE AGREEMENT along with
//  CF Image Hosting Script.  If not, see http://codefuture.co.uk/projects/imagehost/license/
//   
////////////////////////////////////////////////////////////////////////////////////

	require_once('inc/config.php');

	if(!$settings['SET_HIDE_GALLERY']){
		header('Location: index.php');
		exit();
	}

// see what page we are on
	$page_number = (isset($_GET['p']) ? input($_GET['p'])-1:0);
	
	if($imageList = imageList(($page_number*$settings['SET_IMG_ON_PAGE']))){

	// page pagination
		$pagination = pagination($page_number, $settings['SET_IMG_ON_PAGE'], $DBCOUNT);

	//inline ad
		$inline_ad = ($settings['SET_GOOGLE_ADS']?'<div class="gallery_ad">'.$gallery_AdSense.'</div>':'');

		$new_row = 1;
		$ad_row = 0;
		$i = 0;

	// make gallery
		$img_gallery ='<ul class="gallery" id="row1">';
		foreach($imageList as $k=>$image){
		// get image address
			$thumb_url = imageAddress(3,$image['id'],"dt",$image);
		// get thumb page address
			$thumb_mid_link	= imageAddress(2,$image['id'],"pm",$image);
		//see if there is a alt(title) if not use the image name
			$alt_text = ($image['alt'] !="" ? $image['alt']:$image['name']);
		//image list for page
			$img_gallery .= '
						<li><a href="'.$thumb_mid_link.'" title="'.$alt_text.'" class="thumb" >
							<img src="'.$thumb_url.'" alt="'.$alt_text.'" />
							</a><h2><a href="'.$thumb_mid_link.'" title="'.$alt_text.'">'.$alt_text.'</a></h2>
							<div class="info"><span class="dimensions">'.$image['dimensions_x'].'x'.$image['dimensions_y'].'</span><span class="imageSize">'.format_size($image['size']).'</span></div>
							'.($settings['SET_ALLOW_REPORT']?'<div class="img_report"><a rel="nofollow" href="#" title="'.$LANGUAGE_PACK["site_gallery_report_title"].'" onclick="return doconfirm(\''.$LANGUAGE_PACK["site_gallery_report_this"].'\',\''.$image['id'].'\','.($page_number+1).');">'.$LANGUAGE_PACK["site_gallery_report"].'</a></div>':'').'
						</li>';
			if($new_row == 4 && $i != ($settings['SET_IMG_ON_PAGE']-1)){
				$img_gallery .= '</ul>'.($ad_row ==0?$inline_ad:'').'<ul class="gallery" id="row'.($ad_row+2).'">';
				$new_row = 1;
				$ad_row++;
			}else
				$new_row++;
			 $i++;

		}//	endfor
		$img_gallery .= '</ul>'.$pagination;

	}

	$menu = "gallery";// set page name for menu
	$page_title = $page_number == 0 ? ' - '.$LANGUAGE_PACK["site_gallery_page_title"].' 1':' - '.$LANGUAGE_PACK["site_gallery_page_title"].' '.($page_number+1); // set page title
	include_once('header.php'); // load header
		error_note($Err);
		success_note($Suc);
		echo (isset($img_gallery) ? $img_gallery : error_note($LANGUAGE_PACK["site_gallery_err_no_image"]));
	include_once('footer.php');
