<?
//
//   CF Image Hosting Script 
//   --------------------------
//
//   Author:    codefuture.co.uk
//   Version:   1.4.1
//   Date:      03 April 2011
//
//   download the latest version from - http://codefuture.co.uk/projects/imagehost/
//
//   Copyright (c) 2011 codefuture.co.uk
//   This file is part of the CF Image Hosting Script.
//
//   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
//   COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
//   OR  IN  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
//
//  You may not modify and/or remove any copyright notices or labels on the software on each
//  page (unless full license is purchase) and in the header of each script source file.
//
//  You should have received a full copy of the LICENSE AGREEMENT along with
//  CF Image Hosting Script.  If not, see http://codefuture.co.uk/projects/imagehost/license/
//   
////////////////////////////////////////////////////////////////////////////////////

// set menu 
	if(!isset($menu))$menu = 'home';

//Page Counter
	if (!checklogin()) pageCount();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title><?=$settings['SET_TITLE'];?><?=(isset($page_title)?$page_title:'');?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?=$LANGUAGE_PACK["site_charset"];?>" />
<meta name="description" content="Free Image Hosting <?=(isset($page_title)?$page_title:'');?> - powered by CF Image Hosting" />
<meta http-equiv="X-UA-Compatible" content="IE=8" />
<meta name="keywords" content="images, photos, image hosting, photo hosting, free image hosting"/>
<meta name="robots" content="index,follow"/>
<meta name="distribution" content="Global" />
<link rel="alternate" type="application/rss+xml" title="<?=$settings['SET_TITLE'];?> Feed" href="feed.php" />
<link rel="stylesheet" href="css/<?=$settings['SET_THEME'];?>" type="text/css" />
<?if ($menu == 'home'){//only needed for the home page?>
	<script type= "text/javascript">
		var max = <?=$settings['SET_MAX_UPLOAD'];?>;
		var extArray = new Array("<?=implode('","',$accepted);?>");
	</script>
<?}?>
<?if ($menu == 'thumb'){//lightbox css only needed for upload & thumb pages?>
	<link rel="stylesheet" type="text/css" href="lightbox/jquery.fancybox-1.3.4.css" media="screen" />
<?}?>
</head>
<body>
<? if(checklogin()){?>
	<div id="admin_bar">
		<div class="title">Admin Menu</div>
		<ul class="nav">
			<li><a href="admin.php?act=logout" title="<?=$LANGUAGE_PACK["admin_menu_logout"];?>"><?=$LANGUAGE_PACK["admin_menu_logout"];?></a></li>
			<li><a href="admin.php?act=set" title="<?=$LANGUAGE_PACK["admin_menu_settings"];?>"><?=$LANGUAGE_PACK["admin_menu_settings"];?></a></li>
			<li><a href="admin.php?act=ban" title="<?=$LANGUAGE_PACK["admin_menu_banned"];?>"><?=$LANGUAGE_PACK["admin_menu_banned"];?></a></li>
			<li><a href="admin.php?act=images" title="<?=$LANGUAGE_PACK["admin_menu_image_list"];?>"><?=$LANGUAGE_PACK["admin_menu_image_list"];?></a></li>
		<li><a href="admin.php" title="<?=$LANGUAGE_PACK["admin_menu_home"];?>"><?=$LANGUAGE_PACK["admin_menu_home"];?></a></li>
		</ul>
	</div>
<?}?>
<div id="wrap">
	<div id="header" class="clear">
		<div id="logo">
			<h1><a href="index.php" title="Home"><?=$settings['SET_TITLE'];?></a></h1>
			<h2><?=$settings['SET_SLOGAN'];?></h2>
		</div>

		<div class="languages" onMouseOver="document.getElementById('language').style.display='block'" onMouseOut="document.getElementById('language').style.display='none'">
			<div class="lan_on"><span><?=$LANGUAGE_PACK["site_language"];?></span><img src="languages/<?=$settings['SET_LANGUAGE'];?>.png" width="23" height="15" alt="<?=$settings['SET_LANGUAGE'];?>" title="<?=$settings['SET_LANGUAGE'];?>" border="0"></div>
			<div id="language" class="language" ><?=listLanguages();?></div>
			<div class="clear_both"></div>
		</div>

	<?if($settings['SET_HIDE_SEARCH']){?>
		<div id="search">
			<form method="get" action="search.php">
				<input type="text" size="28" name="search" id="searchBox" class="text_input" onblur="if(this.value=='')value='<?=$LANGUAGE_PACK["site_search_text"];?>';" onfocus="if(this.value=='<?=$LANGUAGE_PACK["site_search_text"];?>')value=''" value="<?=$LANGUAGE_PACK["site_search_text"];?>" /><input type="submit" value="<?=$LANGUAGE_PACK["site_search_button"];?>" class="button" />
			</form>
		</div>
	<?}?>
		<div id="nav">
			<ul id="main-nav">
				<li><a <?=($menu=="home" ? ' class="current" ':'');?> href="./" title="<?=$LANGUAGE_PACK["site_menu_home"];?>"><?=$LANGUAGE_PACK["site_menu_home"];?></a></li>
				<? if($settings['SET_HIDE_GALLERY']){?><li><a <?=($menu=="gallery" ? ' class="current" ':'');?> href="gallery.php" title="<?=$LANGUAGE_PACK["site_menu_gallery"];?>"><?=$LANGUAGE_PACK["site_menu_gallery"];?></a></li><?}?>
				<? if($settings['SET_HIDE_FAQ']){?><li><a <?=($menu=="faq" ? ' class="current"':'');?> href="faq.php" title="<?=$LANGUAGE_PACK["site_menu_faq"];?>"><?=$LANGUAGE_PACK["site_menu_faq"];?></a></li><?}?>
				<? if($settings['SET_HIDE_TOS']){?><li><a <?=($menu=="tos" ? ' class="current" ':'');?> href="tos.php" title="<?=$LANGUAGE_PACK["site_menu_tos"];?>"><?=$LANGUAGE_PACK["site_menu_tos"];?></a></li><?}?>
				<? if($settings['SET_HIDE_CONTACT']){?><li><a <?=($menu=="contact" ? ' class="current" ':'');?> href="contact.php" title="<?=$LANGUAGE_PACK["site_menu_contact"];?>"><?=$LANGUAGE_PACK["site_menu_contact"];?></a></li><?}?>
			</ul>
		</div>
	<div class="clear"></div>
	</div>
	<div id="content">
<? if($settings['SET_GOOGLE_ADS']){?>
		<div class="top_ad"><?=$header_AdSense;?></div>
<?}?>