<?php
//
//   CF Image Hosting Script 
//   --------------------------
//
//   Author:    codefuture.co.uk
//   Version:   1.4.1
//   Date:      03 April 2011
//
//   download the latest version from - http://codefuture.co.uk/projects/imagehost/
//
//   Copyright (c) 2011 codefuture.co.uk
//   This file is part of the CF Image Hosting Script.
//
//   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
//   COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
//   OR  IN  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
//
//  You may not modify and/or remove any copyright notices or labels on the software on each
//  page (unless full license is purchase) and in the header of each script source file.
//
//  You should have received a full copy of the LICENSE AGREEMENT along with
//  CF Image Hosting Script.  If not, see http://codefuture.co.uk/projects/imagehost/license/
//   
////////////////////////////////////////////////////////////////////////////////////

	require_once('inc/config.php');

// DELETE IMAGE
	removeImage();
// LOAD IMAGE
	loadImage();

// check to see if we need to open a thumbnail page
	if (isset($_GET['pt'])||isset($_GET['pm'])){
		require('thumbnail.php');// THUMB PAGE
	}

// check for errors coming from other pages
	if(isset($_SESSION['err'])){
		$Err = $_SESSION['err'];
		unset($_SESSION['err']);
	}

// set page name for menu
	$menu = 'home';
// set page title
	$page_title = ' - '.$settings['SET_SLOGAN'];
// load header
	include_once('header.php'); 
// check for any notes
	success_note($Suc);
// check for any errors
	error_note($Err); 

//home page (upload) variables
	$homeVar['inactive_files']		= $settings['SET_AUTO_DELETED']?sprintf($LANGUAGE_PACK["site_index_auto_deleted"],$settings['SET_AUTO_DELETED_TIME']).'<br />':'';
	$homeVar['hot_linking_limit']	= $settings['SET_MAX_BANDWIDTH']?'<b>'.$LANGUAGE_PACK["site_index_max_bandwidth"].':</b> '.(format_size(1048576*$settings['SET_MAX_BANDWIDTH'])).' '.$LANGUAGE_PACK["site_index_max_bandwidth_per"].($settings['SET_AUTO_DELETED_JUMP'] == 'm' ? $LANGUAGE_PACK["site_index_max_bandwidth_per_month"]:$LANGUAGE_PACK["site_index_max_bandwidth_per_week"]).'<br />':'';
	$homeVar['max_upload']			= $settings['SET_MAX_UPLOAD']?'<div class="Upload_Multiple"><span>'.$LANGUAGE_PACK["site_index_max_upload"].' </span><a href="#" class="add_another_file_input"><img src="./img/add.png" title="'.$LANGUAGE_PACK["site_index_max_upload"].'" alt="'.$LANGUAGE_PACK["site_index_max_upload"].'" /></a><small>('.$LANGUAGE_PACK["site_index_max_upload_max"].' '.$settings['SET_MAX_UPLOAD'].')</small><br/><br/></div>':'';
	$homeVar['hide_tos']			= $settings['SET_HIDE_TOS']?'<p>'.sprintf($LANGUAGE_PACK["site_index_tos_des"],'<a href="tos.php" title="'.$LANGUAGE_PACK["site_menu_tos"].'">'.$LANGUAGE_PACK["site_menu_tos"].'</a>').'</p>':'';
	$homeVar['private_img']			= $settings['SET_PRIVATE_IMG_ON']?'<input id="private" name="private[0]" value="1" type="checkbox" /> <label for="private">'.$LANGUAGE_PACK["site_index_private_img"].'</label><br/>':'';
	$homeVar['short_url']			= $settings['SET_SHORT_URL_ON']?'<input id="shorturl" name="shorturl[0]" value="1" type="checkbox" /> <label for="shorturl">'.$LANGUAGE_PACK["site_index_short_url"].' '.$settings['SET_SHORT_URL_API'].'</label><br/>':'';
	$homeVar['resize_img']			= $settings['SET_RESIZE_IMG_ON']?'<span class="title">'.$LANGUAGE_PACK["site_index_resize_title"].':</span> <label for="new_height">'.$LANGUAGE_PACK["site_index_resize_height"].'</label> <input type="text" maxlength="4" size="4" class="text_input" id="new_height" name="new_height[]"><br/><label for="new_width">'.$LANGUAGE_PACK["site_index_resize_width"].'</label> <input type="text" maxlength="4" size="4" class="text_input" id="new_width" name="new_width[]"><span class="small">'.$LANGUAGE_PACK["site_index_resize_des"].'</span>':'';

?>
		<div class="contentBox">
			<div class="<? if($settings['SET_GOOGLE_ADS'] !=''){?> upload_adson<?}?>">
			<?if(!$settings['SET_DIS_UPLOAD']||checklogin()){?>
				<p class="teaser"><?=$LANGUAGE_PACK["site_index_des"];?></p>
				<p class="teaser">
					<?=$homeVar['inactive_files'];?>
					<?=$homeVar['hot_linking_limit'];?>
					<b><?=$LANGUAGE_PACK["site_index_Image_Formats"];?>:</b> <?=$types;?><br />
					<b><?=$LANGUAGE_PACK["site_index_maximum_filesize"];?>:</b> <?=format_size($settings['SET_MAXSIZE']);?>
				</p>
				<form enctype="multipart/form-data" action="upload.php" method="post" class="upform" name="upload" id="upload">
					<div class="upload_op">
						<a id="linklocal" class="linklocal show" title="<?=$LANGUAGE_PACK["site_index_local_image_upload_title"];?>"><?=$LANGUAGE_PACK["site_index_local_image_upload"];?></a>
						<a id="linkremote" class="linkremote" title="<?=$LANGUAGE_PACK["site_index_Remote_image_copy_title"];?>"><?=$LANGUAGE_PACK["site_index_Remote_image_copy"];?></a>
					</div>
					<div class="loading">
						<label><?=$LANGUAGE_PACK["site_index_uploading_image"];?></label>
						<img src="img/loading.gif" alt="Uploading Image" />
					</div>
					<div class="input file">
					<a class="closeUpload" href="#"><img alt="close" title="Close" src="img/cross_grey_small.png"></a>
						<div class="upload_form">
							<div id="remote_panel" class="file_url" style="display: none;">
								<label for="imgUrl"><?=$LANGUAGE_PACK["site_index_Remote_image"];?></label>
								<input type="text" name="imgUrl" id="imgUrl"  class="text_input long" />
							</div>
							<div id="local_panel" class="file_upload">
								<label for="file"><?=$LANGUAGE_PACK["site_index_upload_image"];?>: </label>
								<div class="file_input_div"><input type="text" id="fileName" name="fileName[]"  class="text_input long" readonly="readonly" />
									<input type="button" value="<?=$LANGUAGE_PACK["site_index_upload_browse_button"];?>" name="Search files" class="file_input_button" />
									<input type="file" name="file[]" id="file" class="file_input_hidden" onchange="javascript: copyfileName()" />
								</div>
							</div>
						</div>
						<label for="alt" class="des"><?=$LANGUAGE_PACK["site_index_upload_description"];?></label>
						<input type="text" name="alt[]" id="alt" class="text_input long_des" />

						<? if($settings['SET_PRIVATE_IMG_ON'] || $settings['SET_SHORT_URL_ON'] || $settings['SET_RESIZE_IMG_ON']){?>
							<div class="pref_title"><?=$LANGUAGE_PACK["site_index_upload_preferences"];?></div>
							<div class="preferences">
								<?=$homeVar['private_img'];?>
								<?=$homeVar['short_url'];?>
								<?=$homeVar['resize_img'];?>
							</div>
						<?}?>
					</div>
					<?=$homeVar['max_upload'];?>
					<input name="submit" type="submit" id="uploadbutton" value="<?=$LANGUAGE_PACK["site_index_upload_button"];?>" class="button" onclick="return fileExt(extArray)" />
					<div class="clear_both"></div>
					<?=$homeVar['hide_tos'];?>
				</form>
			</div>
			<? if($settings['SET_GOOGLE_ADS'] !=''){?>
			<div class="ad_index"><?=$index_AdSense;?></div>
			<div class="ad_index"><?=$index_AdSense;?></div>
			<?}?>
		<?}else{//upload disable?>
			<p class="teaser"><b><?=$LANGUAGE_PACK["site_index_upload_disable"];?></b></p>
		<?}?>
		</div>
<?

	if(isset($settings['SET_IMAGE_WIDGIT']) && $settings['SET_IMAGE_WIDGIT']){
		randImageWidget(4);
	}
	include_once('footer.php');