<?php
//
//   CF Image Hosting Script 
//   --------------------------
//
//   Author:    codefuture.co.uk
//   Version:   1.4.1
//   Date:      03 April 2011
//
//   download the latest version from - http://codefuture.co.uk/projects/imagehost/
//
//   Copyright (c) 2011 codefuture.co.uk
//   This file is part of the CF Image Hosting Script.
//
//   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
//   COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
//   OR  IN  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
//
//  You may not modify and/or remove any copyright notices or labels on the software on each
//  page (unless full license is purchase) and in the header of each script source file.
//
//  You should have received a full copy of the LICENSE AGREEMENT along with
//  CF Image Hosting Script.  If not, see http://codefuture.co.uk/projects/imagehost/license/
//   
////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////
// THUMB PAGE

	require_once('inc/config.php');

// find image id 
	if(isset($_GET['pt'])||isset($_GET['pm'])){
		unset($_SESSION['upload']);
		$_SESSION['upload'][0]['id'] = isset($_GET['pt'])?$_GET['pt']:$_GET['pm'];
	}
// if no image found and no upload array found send user back to index page
	elseif(!isset($_SESSION['upload'])){
		header('Location: index.php');
		exit();
	}

// check to see what image to show
	if(isset($_GET['pt'])){
		$showImage = 1;// show small thumb
	}else{
		$showImage = 0;// show thumb
	}

// image loop
	foreach($_SESSION['upload'] as $k=>$uploadimage){

		if(isset($uploadimage['id'])){
			$img_id =$uploadimage['id'];
		}
		if(isset($uploadimage['did'])){
			$delete_id =$uploadimage['did'];
		}
		unset($_SESSION['upload'][$k]);

		if(isset($img_id) && preg_replace("/[^0-9A-Za-z]/","",$img_id) == $img_id){
		//see if image exists
			if ($image = getImage($img_id)){
			//only count image if not on upload page
				if(!isset($delete_id))countSave($img_id,4,$image);

			// Thumbnail page variables
				$thumb_link		= imageAddress(3,$img_id,'pt',$image);
				$thumb_url		= imageAddress(3,$img_id,'dt',$image);
				$thumb_mid_link	= imageAddress(2,$img_id,'pm',$image);
				$thumb_mid_url	= imageAddress(2,$img_id,'dm',$image);
				$imgurl			= imageAddress(1,$img_id,'di',$image);
				$alt			= $image['alt'];
				$shorturl		= $image['shorturl'];
				$bookmarking	= bookmarking(($shorturl ==null?$thumb_mid_link:$shorturl),$alt);
				$thumb_show		= $showImage?$thumb_url:$thumb_mid_url;

				if(!isset($img_posted))$img_posted ='';
				if(!isset($i))$i=0;
			// make image links
				$links[$i] = array(
									'thumb_bbcode'		=> imageLinkCode('bbcode',$thumb_url,$thumb_link),
									'thumb_html'		=> imageLinkCode('html',$thumb_url,$thumb_link,$alt),
									'thumb_mid_bbcode'	=> imageLinkCode('bbcode',$thumb_mid_url,$thumb_mid_link),
									'thumb_mid_html'	=> imageLinkCode('html',$thumb_mid_url,$thumb_mid_link,$alt),
									'image_bbcode'		=> imageLinkCode('bbcode',$imgurl),
									'image_direct'		=> $imgurl,
									'delete_url'		=> (isset($delete_id)?$settings['SET_SITEURL'].'/?d='.$delete_id:'')
									);
			// comments layout
				$layout = ' full';

				$img_posted .= '<div class="img_ad_box">';
			// AdSense
				$ad_added = 0;
				if($settings['SET_GOOGLE_ADS'] !=''){
					if(!isset($i) || $i < 2){
						$img_posted .= '<div class="thumb_Ad">'.$thumb_AdSense.'</div>';
						$ad_added = 1;
					}
				}
				$img_posted .= '<div class="img_box'.($ad_added?' left':'').'"><a href="'.$imgurl.'" title="'.$alt.'" id="fancybox" ><img src="'.$thumb_show.'" alt="'.$alt.'" /><br/><span>'.$alt.'</span></a></div>
						<div style="clear: both;"></div>
					</div>';


			//image links
				$img_posted .= '<div id="links" class="boxpanel'.$layout.'">
									<h2 class="boxtitle">'.$LANGUAGE_PACK["site_index_hide_link"].'</h2>
									<div class="code_box"><label id="toplabel">'.$LANGUAGE_PACK["site_index_social_networks"].':</label>'.$bookmarking.'</div>';
			// Short URL
				if ($shorturl != null && !empty($shorturl))	$img_posted .= '
									<div class="code_box"><label for="shorturl">'.$LANGUAGE_PACK["site_index_short_url_link"].':</label> <input type="text" id="codehtml" value="'.$shorturl.'" onclick="javascript:this.focus();this.select();" readonly="true" class="text_input long" /></div>';

			// Image Links
				$img_posted .= '
						<h3>'.$LANGUAGE_PACK["site_index_small_thumbnail_link"].'</h3>
							<div class="code_box"><label for="codelbb">'.$LANGUAGE_PACK["site_index_bbcode"].':</label> <input type="text" id="codelbb" value="'.$links[$i]['thumb_bbcode'].'" onclick="javascript:this.focus();this.select();" readonly="true" class="text_input long" /></div>
							<div class="code_box"><label for="codehtml"><a href="'.$thumb_link.'" title="'.$alt.'" >'.$LANGUAGE_PACK["site_index_html_code"].'</a> :</label> <input type="text" id="codehtml" value="'.$links[$i]['thumb_html'].'" onclick="javascript:this.focus();this.select();" readonly="true" class="text_input long" /></div>
						<h3>'.$LANGUAGE_PACK["site_index_thumbnail_link"].'</h3>
							<div class="code_box"><label for="codelbb">'.$LANGUAGE_PACK["site_index_bbcode"].':</label> <input type="text" id="codelbb" value="'.$links[$i]['thumb_mid_bbcode'].'" onclick="javascript:this.focus();this.select();" readonly="true" class="text_input long" /></div>
							<div class="code_box"><label for="codehtml"><a href="'.$thumb_mid_link.'" title="'.$alt.'" >'.$LANGUAGE_PACK["site_index_html_code"].'</a> :</label> <input type="text" id="codehtml" value="'.$links[$i]['thumb_mid_html'].'" onclick="javascript:this.focus();this.select();" readonly="true" class="text_input long" /></div>
						<h3>'.$LANGUAGE_PACK["site_index_image_link"].'</h3>
						<div class="code_box"><label for="codebb">'.$LANGUAGE_PACK["site_index_bbcode"].':</label> <input type="text" id="codebb" value="'.$links[$i]['image_bbcode'].'" onclick="javascript:this.focus();this.select();" readonly="true" class="text_input long" /></div>
						<div class="code_box"><label for="codedirect">'.$LANGUAGE_PACK["site_index_direct_link"].'</label> <input type="text" id="codedirect" value="'.$links[$i]['image_direct'].'" onclick="javascript:this.focus();this.select();" readonly="true" class="text_input long" /></div>';

				if(isset($delete_id)){
					$img_posted .= '
					<h3>Delete Image</h3>
						<div class="code_box"><label for="deletecode">'.$LANGUAGE_PACK["site_index_delete_url"].':</label> <input type="text" id="deletecode" value="'.$links[$i]['delete_url'].'" onclick="javascript:this.focus();this.select();" readonly="true" class="text_input long" /></div>
						<p class="teaser">'.$LANGUAGE_PACK["site_index_delete_url_des"].'</p>';
				}

				$img_posted .= '</div>';


			// Image Details
				if($settings['SET_IMAGE_DETAILS'] && !isset($delete_id)){
					$img_posted .= '<div id="details" class="boxpanel'.$layout.'">
										<h2 class="boxtitle">'.$LANGUAGE_PACK["site_thumb_image_details"].'</h2>
										<div class="code_box"><label>'.$LANGUAGE_PACK["site_thumb_image_size"].' :</label> <div class="bookmarking">'.format_size($image['size']).'</div></div>
										<div class="code_box"><label>'.$LANGUAGE_PACK["site_thumb_image_dimensions"].' :</label> <div class="bookmarking">'.$image['dimensions_x'].'x'.$image['dimensions_y'].'</div></div>
										<div class="code_box"><label>'.$LANGUAGE_PACK["site_thumb_uploaded_on"].' :</label> <div class="bookmarking">'.gmdate('l jS \of F Y h:i:s A',$image['added']).'</div></div>';

				// jpg exif
					if($image['ext'] == 'jpg' || $image['ext'] == 'jpeg'){
					// image address
						$img_file_address = $DIR_IMAGE.$img_id.'.'.$image['ext'];
						include_once('lib/exif.php');
					//String containing all the available exif tags.
						$exif_info = "AFFocusPosition|Adapter|ColorMode|ColorSpace|ComponentsConfiguration|CompressedBitsPerPixel|Contrast|CustomerRender|DateTimeOriginal|DateTimedigitized|DigitalZoom|DigitalZoomRatio|ExifImageHeight|ExifImageWidth|ExifInteroperabilityOffset|ExifOffset|ExifVersion|ExposureBiasValue|ExposureMode|ExposureProgram|ExposureTime|FNumber|FileSource|Flash|FlashPixVersion|FlashSetting|FocalLength|FocusMode|GainControl|IFD1Offset|ISOSelection|ISOSetting|ISOSpeedRatings|ImageAdjustment|ImageDescription|ImageSharpening|LightSource|Make|ManualFocusDistance|MaxApertureValue|MeteringMode|Model|NoiseReduction|Orientation|Quality|ResolutionUnit|Saturation|SceneCaptureMode|SceneType|Sharpness|Software|WhiteBalance|YCbCrPositioning|xResolution|yResolution";
						$exif_names = explode("|", $exif_info);
					//PHP function 'exif_read_data' 
						if(function_exists('exif_read_data')){
							$exif = @exif_read_data($img_file_address, 0, true);
						}
					// full back to class
						else{
							$exif = exif_parse_file($img_file_address);
						}

						if(is_array($exif)){
							foreach ($exif as $key => $section) {
								if(is_array($section)){
									foreach ($section as $name => $val) {
										if(in_array(lookup_key_tag($name),$exif_names)){
											$img_posted .= '<div class="code_box"><label>'.$name.' :</label> <div class="bookmarking">'.$val.'</div></div>';
										}
									}
								}elseif(in_array(lookup_key_tag($key),$exif_names)){
									//$other_section[lookup_key_tag($key)] = $section;
									$img_posted .= '<div class="code_box"><label>'.$key.' :</label> <div class="bookmarking">'.$section.'</div></div>';
								}
							}
						}
					} // end exif
					$img_posted .= '</div>';
				}// End Image Details

			}else
				$Err['thumbs_page'] = $LANGUAGE_PACK["site_index_thumbs_page_err"];
		}
	}// end uploaded loop

// unset upload array
	unset($_SESSION['upload']);

////////////////////////////////////////////////////////////////////////////////////
// MAKE PAGE

// error send back to home page and show the error
	if(!isset($img_posted)){
		$_SESSION['err'] = $Err;
		header('Location: index.php');
		exit();
	}

// set thumb page
	$menu = 'thumb';
// set page title
	$page_title = ' - '.$alt;
// load header
	include_once('header.php'); 
// check for any notes
	success_note($Suc);
// check for any errors
	error_note($Err);
// print Thumbnail page
	echo $img_posted;

	if(isset($settings['SET_IMAGE_WIDGIT']) && $settings['SET_IMAGE_WIDGIT']){
		randImageWidget(4);
	}
	include_once('footer.php');
	exit;


