<?php
//
//   CF Image Hosting Script 
//   --------------------------
//
//   Author:    codefuture.co.uk
//   Version:   1.4.1
//   Date:      03 April 2011
//
//   download the latest version from - http://codefuture.co.uk/projects/imagehost/
//
//   Copyright (c) 2011 codefuture.co.uk
//   This file is part of the CF Image Hosting Script.
//
//   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
//   COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
//   OR  IN  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
//
//  You may not modify and/or remove any copyright notices or labels on the software on each
//  page (unless full license is purchase) and in the header of each script source file.
//
//  You should have received a full copy of the LICENSE AGREEMENT along with
//  CF Image Hosting Script.  If not, see http://codefuture.co.uk/projects/imagehost/license/
//   
////////////////////////////////////////////////////////////////////////////////////

	require_once('inc/config.php');

	if(!$settings['SET_HIDE_TOS']){
		header('Location: index.php');
		exit();
	}

	$menu = 'tos';
	$page_title = ' - '.$LANGUAGE_PACK["site_tos_title"];
	include_once('header.php');

?>
		<div class="contentBox">
			<div id="tos">
				<h2><?=$LANGUAGE_PACK["site_tos_title"];?></h2>
				<ul>
					<li><?=$settings['SET_TITLE'];?> <?=$LANGUAGE_PACK["site_tos_line1"];?></li>
					<li><?=$LANGUAGE_PACK["site_tos_line2"];?></li>
					<li><?=$settings['SET_TITLE'];?> <?=$LANGUAGE_PACK["site_tos_line3"];?>:
						<ul>
							<li><?=$LANGUAGE_PACK["site_tos_line4"];?></li>
							<li><?=$LANGUAGE_PACK["site_tos_line5"];?></li>
							<li><?=$LANGUAGE_PACK["site_tos_line6"];?></li>
							<li><?=$LANGUAGE_PACK["site_tos_line7"];?></li>
							<li><?=$LANGUAGE_PACK["site_tos_line8"];?></li>
						</ul>
					</li>
					<li><?=$LANGUAGE_PACK["site_tos_line9"];?></li>
					<li><?=$settings['SET_TITLE'];?> <?=$LANGUAGE_PACK["site_tos_line10"];?></li>
					<li><?=$settings['SET_TITLE'];?> <?=$LANGUAGE_PACK["site_tos_line11"];?></li>
				</ul>
				<br/><br/>
				<h2><?=$LANGUAGE_PACK["site_privacy_policy_title"];?></h2>
				<ul>
					<li><?=$LANGUAGE_PACK["site_privacy_policy_line1"];?></li>
				</ul>
			</div>
		</div>
<?
	include_once('footer.php');