<?
//
//   CF Image Hosting Script 
//   --------------------------
//
//   Author:    codefuture.co.uk
//   Version:   1.4.1
//   Date:      03 April 2011
//
//   download the latest version from - http://codefuture.co.uk/projects/imagehost/
//
//   Copyright (c) 2011 codefuture.co.uk
//   This file is part of the CF Image Hosting Script.
//
//   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
//   COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
//   OR  IN  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
//
//  You may not modify and/or remove any copyright notices or labels on the software on each
//  page (unless full license is purchase) and in the header of each script source file.
//
//  You should have received a full copy of the LICENSE AGREEMENT along with
//  CF Image Hosting Script.  If not, see http://codefuture.co.uk/projects/imagehost/license/
//   
////////////////////////////////////////////////////////////////////////////////////

	require_once('inc/config.php');
	require_once('inc/pdate.php');

	$act = isset($_GET['act']) ? input($_GET['act']):'';

// LOGOUT
	if ($act == 'logout'){
		session_unset();
		session_destroy();
		if(isset($_COOKIE['Auth'])){// remove auto logo cookie
			$cookie_time = (3600 * 24 * 30); // 30 days
			setcookie ('Auth', '', time() - $cookie_time);
		}
		$Suc['logged_out'] = $LANGUAGE_PACK["admin_logged_out_suc"];
	}

// auto logo on
// Check if the cookie exists
	if(isset($_COOKIE['Auth']) && $act != 'logout'){
	// Register the session
		$_SESSION['loggedin'] = true;
		$_SESSION['set_name'] = $_COOKIE['Auth'];
	}

// LOGIN
	if(isset($_POST['enter']) && isset($_POST['passWord']) && isset($_POST['userName']) ){
		if(md5(md5(input($_POST['passWord'])).$settings['SET_SALTING']) == $settings['SET_PASSWORD'] &&
			input($_POST['userName']) == $settings['SET_USERNAME']){
		// Autologin Requested?
			if(isset($_POST['autologin']) && input($_POST['autologin']) == 1){
				$cookie_time = (3600 * 24 * 30); // 30 days
				$hash = md5($settings['SET_USERNAME'].$settings['SET_SALTING'].$settings['SET_PASSWORD']);
				setcookie ('Auth', $hash, time() + $cookie_time);
			}
			$_SESSION['loggedin'] = true;
			$_SESSION['set_name'] = md5($settings['SET_USERNAME'].$settings['SET_SALTING'].$settings['SET_PASSWORD']);
		}else{
			$Err['login']= $LANGUAGE_PACK["admin_login_err"];
		}
	}

	$pagination_ex_var_li = '';
	$pagination_ex_var_ob = '';
	$reset_password = false;

////////////////////////////////////////////////////////////////////////////////////
// FORGOT YOUR PASSWORD - SEND LINK

	if (isset($_POST['forgot'])){

		if(isset($_POST['email']) && input($_POST['email']) == $settings['SET_CONTACT']){
		
		// Always set content-type when sending HTML email
			$headers = "MIME-Version: 1.0" . "\r\n";
			$headers .= "Content-type:text/html;charset=iso-8859-1" . "\r\n";
		// More headers
			$headers .= 'From: '.$settings['SET_CONTACT']."\r\n";
			$subject = $settings['SET_TITLE'].' - '.$LANGUAGE_PACK["admin_forgot_password_email_subject"];

			$find = array( '{reset_url}', '{user_name}');
			$reset_id = md5(time().$settings['SET_SALTING']);
			$replace = array(
							'reset_url' => '<a href="'.$settings['SET_SITEURL'].'/admin.php?reset='.$reset_id.'">'.$settings['SET_SITEURL'].'/admin.php?reset='.$reset_id.'</a>',
							'user_name' => $settings['SET_USERNAME']
							);

			$msg = str_replace($find, $replace, $LANGUAGE_PACK["admin_forgot_password_email_body"]);
			@mail($settings['SET_CONTACT'],$subject,$msg,$headers);

			if(savefile(array('id'=>$reset_id,'date'=>time()),$DIR_DATA.'rs.cf')){
				$Suc['forgot_password'] = $LANGUAGE_PACK["admin_forgot_password_suc"];
				$forgot_note =1;
			}
		}else{
			$Err['forgot_password'] = $LANGUAGE_PACK["admin_forgot_password_email_err"];
			$forgot_note =1;
		}
	}

// FORGOT YOUR PASSWORD - RESET LINK CHECK
	if (isset($_GET['reset'])){
		if(file_exists($DIR_DATA.'rs.cf')){
			$reset_db = loadfile($DIR_DATA.'rs.cf');
			if ($reset_db['id'] == input($_GET['reset']) &&	($reset_db['date']+3600) > time()){
				$reset_password = true;
			}else{
				$Err['forgot_password'] = $LANGUAGE_PACK["admin_forgot_password_err"];
			}
		}else{
			$Err['forgot_password'] = $LANGUAGE_PACK["admin_forgot_password_err"];
		}
	}

// FORGOT YOUR PASSWORD - NEW PASSWORD
	if(isset($_POST['action']) && $_POST['action'] == 'reset'){
	//Password
		if(!empty($_POST['newPassword']) && !empty($_POST['newConfirm'])){
			if (input($_POST['newPassword']) == input($_POST['newConfirm'])){
				$settings['SET_PASSWORD'] = md5(md5(input($_POST['newPassword'])).$settings['SET_SALTING']);
					// save settings

				if(saveSettings('inc/set.php',$settings)){
						$Suc['password_update'] = $LANGUAGE_PACK["admin_set_suc_update"];
				}else{
						$Err['password_update'] = $LANGUAGE_PACK["admin_set_err_saveing_settings"];
						$reset_password = true;
				}
			}else{
				$Err['password_update'] = $LANGUAGE_PACK["admin_set_err_password_wrong"];
				$reset_password = true;
			}
		}else{
			$Err['password_update'] = $LANGUAGE_PACK["admin_set_err_password_both"];
			$reset_password = true;
		}
	}

// END FORGOT YOUR PASSWORD
////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////
// LOGIN CHECK

if (checklogin()) {

// check for images in db
	if($act != 'ban' && $act != 'set' && imageList(0,1)){

////////////////////////////////////////////////////////////////////////////////////
// DELETE IMAGE

	if ($act == "remove" && input($_GET['d']) != ''){
		$img_del_code = input($_GET['d']);
		removeImage($img_del_code);
	 //removed without error
		if(empty($Err)){
			echo json_encode(array('status'=>1));
		}
	// error when removing
		else{
			 echo json_encode(array('status'=>0,'html'=>error_note($Err,1)));
		}
		exit;
	}

// DELETE IMAGE END
////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////
// EDIT IMAGE TITLE/PRIVATE

	if ($act == "edit" && input($_GET['id']) != ''){
	// image id
		$edit_img_id = input($_GET['id']);
	// update image info
		if(isset($_POST['update'])){
			$pam = array (
						'alt'		=> input($_POST['setAlt']),
						'private'	=> (input($_POST['setPrivate']) == 1? TRUE:FALSE)
						);
			if(db_update($edit_img_id,$pam)){
				$Suc['edit_image'] = $LANGUAGE_PACK["admin_image_edit_suc"];
			}
		}
	// get image info
		$edit_image = getImage($edit_img_id);

		$edit_html = '
			<div class="ibox imgedit_img"><a href="'.imageAddress(1,$edit_img_id,null,$edit_image).'" target="_blank" title="'.$edit_image['alt'].'" class="imglink" id="fancybox"><img src="'.imageAddress(2,$edit_image['id']).'" title="'.$edit_image['alt'].'" /></a></div>

			<div class="ibox imgedit_form">
				<h2>'.$LANGUAGE_PACK["admin_image_edit_title"].'</h2>
				<form method="POST" action="admin.php?act=edit&id='.$edit_img_id.'" class="">
					<div class="code_box"><label>'.$LANGUAGE_PACK["admin_image_edit_des_title"].' :</label><input class="text_input" type="text" name="setAlt" value="'.$edit_image['alt'].'" size="20" /></div>
					<div class="code_box"><label>'.$LANGUAGE_PACK["admin_image_edit_pp_title"].' :</label>
						<select name="setPrivate" class="text_input">
							<option value="0" '.(!$edit_image['private'] ? 'selected="selected"':'').'>'.$LANGUAGE_PACK["admin_image_edit_public"].'</option>
							<option value="1" '.($edit_image['private'] ? 'selected="selected"':'').'>'.$LANGUAGE_PACK["admin_image_edit_private"].'</option>
						</select></div>
					<div class="code_box"><label></label><input class="button button_cen" onclick="" type="submit" value="'.$LANGUAGE_PACK["admin_image_edit_button"].'" name="update"></div>
				</form>
			</div>
			<div class="ibox imgedit_form"><h2>Last 14 Days</h2>'.imageCounter($edit_img_id,14).'</div>
			<div class="clear"></div>';
	}

//  EDIT IMAGE TITLE/PRIVATE END
////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////
// ADMIN HOME

	if( $act != 'set' && $act != 'ban' && $act != 'edit'){
	// do not need to remove private/report images for admin
		$settings['SET_PRIVATE_IMG_ON'] = 0;
		$settings['SET_REMOVE_REPORT'] = 0;
////////////////////////////////////////////////////////////////////////////////////
// REPORT (ADMIN HOME)

	$report_list = null;

	if($settings['SET_ALLOW_REPORT'] && $act != 'images'){

		if ($act == "report" && input($_GET['id']) != ''){
			if(db_removeFromReportList(input($_GET['id']))){
				$Suc['image_report_remove'] = $LANGUAGE_PACK["admin_image_report_remove_suc"];
			}else{
				$Err['image_report_remove'] = $LANGUAGE_PACK["admin_image_report_remove_err"];
			}
		}

		if($full_report = db_imageReportList()){
			foreach ($full_report as $k => $image){
				$odd_class		= empty($odd_class) ? ' class="odd"' : '';
				$img_alt		= $image['alt'];
				$img_name		= $image['name'];
				$img_deleteid	= $image['deleteid'];
				$img_url		= imageAddress(1,$image['id'],null,$image);
				$img_thumb_url	= imageAddress(3,$image['id']);
				$report_list .= '<tr'.$odd_class.'>
								<td>
									<a href="admin.php?act=report&id='.$image['id'].'" class="tip" title="'.$LANGUAGE_PACK["admin_image_report_alt_remove"].'"><img src="img/Image-Ok.png" height="16" width="16" border="0" alt="'.$LANGUAGE_PACK["admin_image_report_alt_remove"].'" /></a>
									<a href="#" id="'.$img_deleteid.'" class="tip delete"  title="'.$LANGUAGE_PACK["admin_image_report_alt_delete"].'" ret="'.sprintf($LANGUAGE_PACK["admin_image_report_delete"],$image['id']).'"><img src="img/Image-Del.png" height="16" width="16" border="0" alt="'.$LANGUAGE_PACK["admin_image_report_alt_delete"].'" /></a>
									<a href="admin.php?act=ban&id='.$image['id'].'" class="tip" title="'.$LANGUAGE_PACK["admin_image_report_alt_ban"].'"><img src="img/User-Block.png" height="16" width="16" border="0" alt="'.$LANGUAGE_PACK["admin_image_report_alt_ban"].'" /></a>
								</td>
								<td><a href="'.$img_url.'" target="_blank" title="'.$img_alt.'" img_src="'.$img_thumb_url.'" class="imglink img_tooltip" id="fancybox">'.$img_name.'</a></td>';
			}
		}
	}

// REPORT END
////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////
// (ADMIN HOME)

	// workout the last reset date
		if ($settings['SET_BANDWIDTH_RESET'] == 'm'){
			 $resetdate = strtotime('01 '.date('M Y'));
		}else{
			 $resetdate = strtotime("last Monday");
		}

	// only add itmes from last reset to now
		if($listFromReset = db_imageCounterList($resetdate)){
			$hc = array();
			foreach($listFromReset as $k => $v){
				if(isset($hc[$v['id']])){
					$hc[$v['id']] = array(
										'date'		=> ($v['date'] >= $hc[$v['id']]['date']?$v['date']:$hc[$v['id']]['date']),
										'image'		=> $hc[$v['id']]['image']+$v['image'],
										'thumb_mid'	=> $hc[$v['id']]['thumb_mid']+$v['thumb_mid'],
										'thumb'		=> $hc[$v['id']]['thumb']+$v['thumb'],
										'hotlinked'	=> $hc[$v['id']]['hotlinked']+($v['image']||$v['thumb_mid']||$v['thumb']? 1:0),
										'gallery'	=> $hc[$v['id']]['gallery']+$v['gallery'],
										);
				}else{
					$hc[$v['id']] = array(
										'date'		=> $v['date'],
										'image'		=> $v['image'],
										'thumb_mid'	=> $v['thumb_mid'],
										'thumb'		=> $v['thumb'],
										'hotlinked'	=> ($v['image']||$v['thumb_mid']||$v['thumb']? 1:0),
										'gallery'	=> $v['gallery'],
										);
				}
			}
		}

	//var for totals
		$total_bw			= 0;
		$total_image_size	= 0;

	// add bandwidth & counter to image image DB
		$db_img = imageList(0,'all');
		foreach ($db_img as $k => $v){

			$v_c = (isset($hc[$v['id']])?$hc[$v['id']]:array('image'=>0,'thumb_mid'=>0,'thumb'=>0));

			$db_img[$k]['bandwidth']	= 0+($v['size']*$v_c['image'])+($v['thumbsize']*$v_c['thumb_mid'])+($v['sthumbsize']*$v_c['thumb']);
			$db_img[$k]['lastviewed']	= (!isset($v_c['date']) ? round(((time() - $v['added']) / 86400),2):round(((time() - $v_c['date']) / 86400),2));
			$db_img[$k]['hotlink']		= 0+$v_c['image']+$v_c['thumb_mid']+$v_c['thumb'];
			$db_img[$k]['gallery']		= (!isset($v_c['gallery']) ? 0:$v_c['gallery']);

			if($act !='images'){
			//totals
				$total_bw = $total_bw + $db_img[$k]['bandwidth'];
				$total_image_size = $total_image_size + $v['size'];


			// TOP IMAGES
				if(!isset($mostBwImage) || $mostBwImage['bandwidth'] < $db_img[$k]['bandwidth']){
					$mostBwImage = $db_img[$k];
				}
				if(!isset($mostViewImage) || $mostViewImage['hotlink'] < $db_img[$k]['hotlink']){
					$mostViewImage = $db_img[$k];
				}
			}
		}


////////////////////////////////////////////////////////////////////////////////////
// IMAGE LIST
		if($act =='images'){
		// number of items on page
			$item_on_page = (isset($_GET['list']) ? input($_GET['list']):20);

		// order image list by
			$orderBy	= (isset($_GET['orderBy']) ? input($_GET['orderBy']):'added');
			$order		= (isset($_GET['order']) ? 'ASC':'DESC');

			$pagination_ex_var_li = (isset($_GET['list']) ? '&list='.input($_GET['list']):'');
			$pagination_ex_var_ob = (isset($_GET['orderBy']) ? '&orderBy='.input($_GET['orderBy']):'');

		// what page are we on
			$page_number = (isset($_GET['p']) ? input($_GET['p'])-1:0);

		// page pagination
			$pagination = pagination($page_number,$item_on_page,$DBCOUNT,'admin.php','&act=images'.$pagination_ex_var_li.$pagination_ex_var_ob);

		// order DB
			order_by($db_img,$orderBy,$order);
			$imageList = array_slice($db_img, ($page_number*$item_on_page), $item_on_page);

		//make image list
			$list_item = '';
			foreach($imageList as $k=>$image){
				$bandwidthStyle = ($settings['SET_MAX_BANDWIDTH'] !=0 && ($settings['SET_MAX_BANDWIDTH']*1048576) < $image['bandwidth']?' style="background-color:red;color:#000"':'');

				$list_item .='
					<tr class="'.($odd = empty($odd) ? 'odd' : '').'">
						<td>
							<a href="'.imageAddress(2,$image['id'],"pm").'" class="tip" title="'.$LANGUAGE_PACK["admin_image_thumb_page_link"].'"><img src="img/Image-Info.png" height="16" width="16" border="0" alt="'.$LANGUAGE_PACK["admin_image_thumb_page_link"].'" /></a>
							<a href="admin.php?act=edit&id='.$image['id'].'" class="tip" title="'.$LANGUAGE_PACK["admin_image_edit_alt"].'"><img src="img/Image-Edit.png" height="16" width="16" border="0" alt="'.$LANGUAGE_PACK["admin_image_edit_alt"].'" /></a>
							<a href="#" id="'.$image['deleteid'].'" class="tip delete" title="'.$LANGUAGE_PACK["admin_image_report_alt_delete"].'" ret="'.sprintf($LANGUAGE_PACK["admin_image_report_delete"],$v['id']).'" ><img src="img/Image-Del.png" height="16" width="16" border="0" alt="'.$LANGUAGE_PACK["admin_image_report_alt_delete"].'" /></a>
							<a href="admin.php?act=ban&id='.$image['id'].'" class="tip" title="'.$LANGUAGE_PACK["admin_image_report_alt_ban"].'"><img src="img/User-Block.png" height="16" width="16" border="0" alt="'.$LANGUAGE_PACK["admin_image_report_alt_ban"].'" /></a>
						</td>
						<td>'.pdate('روز l d F ماه Y',$image['added']).'</td>
						<td><a href="'.imageAddress(1,$image['id'],null,$image).'" target="_blank" title="'.$image['name'].'" img_src="'.imageAddress(3,$image['id']).'" class="imglink img_tooltip" id="fancybox">'.$image['alt'].'</a></td>
						<td>'.$image['lastviewed'].'</td>
						<td>'.$image['gallery'].'</td>
						<td>'.$image['hotlink'].'</td>
						<td'.$bandwidthStyle.'>'.format_size($image['bandwidth']).'</td>
						<td>'.(array_key_exists('private',$image) && $image['private']?'Yes':'No').'</td>
					</tr>';
			}
		}

// image list
///////////////////////////////////////////////////////////////////////////////////////

}// end if not settings page

	}//end img db count (no images in db)
	else{
		$orderBy				= '';
		$db_img_count			= '';
		$total_image_size		= '';
		$total_bw 				= '';
		$list_item				= '';
		$pagination				= '';
		$mostBwImage = array('id' => null,'alt' => '', 'bandwidth' => 0,'hotlink' =>0, 'ext' => '');
		$mostViewImage = array('id' => null,'alt' => '', 'bandwidth' => 0,'hotlink' =>0, 'ext' => '');
	}

// END ADMIN HOME
////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////
//BAN USER FROM UPLOADING

	if($act == 'ban'){

	// ban user
		if(isset($_POST['changesettings'])) {
			$banIp = input($_POST['banIP']);
			$banDescription = input($_POST['banDes']);
			if ($banIp != ''){
				if(db_BanUser($banIp,$banDescription)){
					 $Suc['banned_user'] = sprintf($LANGUAGE_PACK["admin_ban_user_suc"],$banIp);
				}else{
					 $Err['ban_user'] = $LANGUAGE_PACK["admin_ban_user_err_save_db"];
				}
			}else{
				 $Err['ban_user'] = $LANGUAGE_PACK["admin_ban_user_err_no_ip"];
			}
		}

	//unban user
		$ip_to_unban = isset($_GET['ip']) ? input($_GET['ip']):'';
		if ($ip_to_unban != ''){
			if (db_removeFromBanList($ip_to_unban)){
				$Suc['ban_user'] = sprintf($LANGUAGE_PACK["admin_ban_user_suc_unbanned"],$ip_to_unban);
			}
		}
	// find ip from image ID
		$id_to_ban = isset($_GET['id']) ? input($_GET['id']):'';
		if ($id_to_ban != ''){
			$BAN_IP = getImage($id_to_ban);
			$BAN_IP = $BAN_IP['ip'];
		}

	// List Banned IP's
		$banned_list='';
		if($banList = db_listBannedUers()){
			foreach ($banList as $k => $v){
				$odd_class = empty($odd_class) ? ' class="odd"' : '';
				$banned_list .= '<tr'.$odd_class.'>
								<td class="textleft"><a href="admin.php?act=ban&ip='.$v['ip'].'" class="tip" title="'.$LANGUAGE_PACK["admin_ban_user_alt_unban"].'"><img src="img/User-Ok.png" height="16" width="16" border="0" alt="'.$LANGUAGE_PACK["admin_ban_user_alt_unban"].'"/></a></td>
								<td class="textleft">'.pdate('روز l d F ماه Y',$v['date']).'</td>
								<td class="textleft">'.$v['ip'].'</td><td class="textleft">'.$v['des'].'</td></tr>';
			}
		}

	// Ban html
		$ban_html ='
			<div class="ibox banForm">
				<h2>'.$LANGUAGE_PACK["admin_ban_form_title"].'</h2>
				<form method="POST" action="admin.php?act=ban">
					<div class="code_box '.(isset($ERR_PI)?$ERR_PI:'').'"><label>'.$LANGUAGE_PACK["admin_ban_form_ip"].' : </label><input class="text_input" type="text" name="banIP" value="'.(isset($BAN_IP)?$BAN_IP:'').'" size="20" /></div>
					<div class="code_box"><label>'.$LANGUAGE_PACK["admin_ban_form_reason"].' : </label><input class="text_input" type="text" name="banDes" value="" size="20" /></div>
					<input class="button button_cen" onclick="" type="submit" value="'.$LANGUAGE_PACK["admin_ban_form_button"].'" name="changesettings">
				</form>
			</div>
			<div class="ibox">
				<h2>'.$LANGUAGE_PACK["admin_ban_form_title"].'</h2>
				<table class="table_small">
					<thead>
					<tr class="odd">
						<th>&nbsp;</th>
						<th scope="col" title="'.$LANGUAGE_PACK["admin_ban_list_tt_date_banned"].'">'.$LANGUAGE_PACK["admin_ban_list_date_banned"].'</th>
						<th scope="col" title="'.$LANGUAGE_PACK["admin_ban_list_tt_ip"].'">'.$LANGUAGE_PACK["admin_ban_list_ip"].'</th>
						<th scope="col" title="'.$LANGUAGE_PACK["admin_ban_list_tt_reason"].'">'.$LANGUAGE_PACK["admin_ban_list_reason"].'</th>
					</tr>
					</thead>
					<tbody>
						'.(isset($banned_list)?$banned_list:'').'
					</tbody>
				</table>
			</div>
			<div class="clear"></div>
		</div>';
	}

//BAN USER FROM UPLOADING END
////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////
//SAVE NEW SETTINGS

	if($act=='set' && isset($_POST['changesettings'])) {

	//Password
		if(!empty($_POST['oldPassword']) && !empty($_POST['newPassword']) && !empty($_POST['newConfirm'])){
			if (input($_POST['newPassword']) == input($_POST['newConfirm'])){
				if (md5(md5(input($_POST['oldPassword'])).$settings['SET_SALTING']) == $settings['SET_PASSWORD']){
					$settings['SET_PASSWORD'] = md5(md5(input($_POST['newPassword'])).$settings['SET_SALTING']);
				}else{
					$Err['password_wrong'] = $LANGUAGE_PACK["admin_set_err_password_wrong"];
				}
			}else{
				$Err['password_wrong'] = $LANGUAGE_PACK["admin_set_err_password_wrong"];
			}
		}else if(!empty($_POST['oldPassword']) || !empty($_POST['newPassword']) || !empty($_POST['newConfirm'])){
			$Err['password_wrong'] = $LANGUAGE_PACK["admin_set_err_password_both"];
		}

	//UserName
		if (!empty($_POST['setUserName'])){
			$settings['SET_USERNAME'] = input($_POST['setUserName']);
		}else{
			$Err['err_username'] = $LANGUAGE_PACK["admin_set_err_username"];
		}

	//email
		if(eregi('^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})$', input($_POST['setEmail']))){
			$settings['SET_CONTACT'] = input($_POST['setEmail']);
		}else{
			$Err['email_invalid'] = $LANGUAGE_PACK["admin_set_err_email_invalid"];
		}

	// Script Url
		$scriptUrl = input($_POST['setScriptUrl']);
		if(substr($scriptUrl, -1) == "/") $scriptUrl = substr($scriptUrl, 0, -1);
		if (!empty($scriptUrl)){
			$settings['SET_SITEURL'] = $scriptUrl;
		}else{
			$Err['err_script_url']= $LANGUAGE_PACK["admin_set_err_script_url"];
		}

		$settings['SET_WATERMARK']			= input($_POST['setWaterMark']) == 1? 1:0;
		$settings['SET_WATERMARK_TEXT']		= input($_POST['setWatermarkText']);
		$settings['SET_WATERMARK_PLACED']	= (int)input($_POST['setWatermarkPlaced']);
		$settings['SET_WATERMARK_IMAGE']	= input($_POST['setWatermarkImage']);

		$settings['SET_HIDE_FAQ']			= input($_POST['setHideFaq']) == 1? 1:0;
		$settings['SET_MOD_REWRITE']		= input($_POST['setModRewrite']) == 1? 1:0;
		$settings['SET_HIDE_SEARCH']		= input($_POST['setHideSearch']) == 1? 1:0;
		$settings['SET_AUTO_DELETED']		= input($_POST['setAutoDeleted']) == 1? 1:0;
		$settings['SET_HIDE_CONTACT']		= input($_POST['setHideContact']) == 1? 1:0;
		$settings['SET_HIDE_TOS']			= input($_POST['setHideTos']) == 1? 1:0;
		$settings['SET_HIDE_GALLERY']		= input($_POST['setHideGallery']) == 1? 1:0;
		$settings['SET_EMAIL_REPORT']		= input($_POST['setEmailReport']) == 1? 1:0;
		$settings['SET_ALLOW_REPORT']		= input($_POST['setAllowReport']) == 1? 1:0;
		$settings['SET_REMOVE_REPORT']		= input($_POST['setRemoveReport']) == 1? 1:0;
		$settings['SET_MAX_BANDWIDTH']		= (int)empty($_POST['setMaxBandwidth'])?0:$_POST['setMaxBandwidth'];
		$settings['SET_TITLE']				= input($_POST['setTitle']);
		$settings['SET_SLOGAN']				= input($_POST['setSlogan']);
		$settings['SET_COPYRIGHT']			= input($_POST['setCopyright']);
		$settings['SET_MAXSIZE'] 			= (int)input($_POST['setMaxSize']);
		$settings['SET_IMG_ON_PAGE']		= (int)input($_POST['setImgOnPage']);
		$settings['SET_MAX_UPLOAD']			= (int)input($_POST['setMaxUpload']);
		$settings['SET_THEME'] 				= input($_POST['setTheme']);
		$settings['SET_GOOGLE_ANALYTICS']	= input($_POST['setAnalytics']);
		$settings['SET_GOOGLE_CHANNAL']		= input($_POST['setGoogleCha']);
		$settings['SET_GOOGLE_ADS']			= input($_POST['setGoogleAds']);
		$settings['SET_BANDWIDTH_RESET']	= input($_POST['setBandwidthReset']);
		$settings['SET_AUTO_DELETED_TIME']	= (int)input($_POST['setAutoDeletedTime']);
		$settings['SET_AUTO_DELETED_JUMP']	= input($_POST['setAutoDeletedJump']);
		$settings['SET_SHORT_URL_ON']		= input($_POST['setShortUrl']) == 1? 1:0;
		$settings['SET_PRIVATE_IMG_ON']		= input($_POST['setPrivateImg']) == 1? 1:0;
		$settings['SET_DIS_UPLOAD']			= input($_POST['setDisUpload']) == 1? 1:0;
		$settings['SET_LANGUAGE']			= input($_POST['setLanguage']);
		$settings['SET_IMAGE_DETAILS']		= input($_POST['setImageDetails']) == 1? 1:0;
		$settings['SET_IMAGE_WIDGIT']		= input($_POST['setImageWidgit']) == 1? 1:0;
		$settings['SET_NODUPLICATE']		= input($_POST['setNoDuplicate']) == 1? 1:0;
		$settings['SET_RESIZE_IMG_ON']		= input($_POST['setResizeImg']) == 1? 1:0;

	//Short url settings
		$settings['SET_SHORT_URL_API']		= input($_POST['setSUrlApi']);
		$settings['SET_SHORT_URL_API_URL']	= input($_POST['setSUrlApiUrl']);
		$settings['SET_SHORT_URL_PASS']		= input($_POST['setSUrlApiPass']);
		$settings['SET_SHORT_URL_USER']		= input($_POST['setSUrlApiUesr']);

	// save settings
		if (empty($Err)){
			if(saveSettings('inc/set.php',$settings)){
				$Suc['saveing_settings'] = $LANGUAGE_PACK["admin_set_suc_update"];
			}else
				$Err['saveing_settings'] = $LANGUAGE_PACK["admin_set_err_saveing_settings"];
		}
	}

//SAVE NEW SETTINGS END
////////////////////////////////////////////////////////////////////////////////////

}

// END LOGGED IN
////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////
// MAKE PAGE

//login?
if(checklogin()){

// page on
	$menu = ($act == '' ? 'admin':$act);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<title><?=$settings['SET_TITLE'];?></title>
	<meta name="Description" content="" />
	<meta name="Keywords" content="" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="Distribution" content="Global" />
	<meta name="Robots" content="index,follow" />
	<link rel="stylesheet" href="css/admin.css" type="text/css" />
	<link rel="stylesheet" type="text/css" href="lightbox/jquery.fancybox-1.3.4.css" media="screen" />
</head>
<body>
<div class="logo"><a href="http://www.pledgie.com/campaigns/11487"><img border="0" src="img/pledgie.png" alt="Click here to lend your support to: CF Image Hosting Donation and make a donation at www.pledgie.com !" title="Click here to lend your support to: CF Image Hosting Donation and make a donation at www.pledgie.com !"></a></div>
<div id="admin_bar">
	<div class="sitelink"><a href="<?=$settings['SET_SITEURL'];?>" title="<?=$LANGUAGE_PACK["admin_menu_visitsite"];?>"><?=$LANGUAGE_PACK["admin_menu_visitsite"];?></a></div>
	<ul class="nav">
		<li><a <?=($menu=="" ? ' class="current" ':'');?>href="admin.php?act=logout" title="<?=$LANGUAGE_PACK["admin_menu_logout"];?>"><?=$LANGUAGE_PACK["admin_menu_logout"];?></a></li>
		<li><a <?=($menu=="images" ? ' class="current" ':'');?> href="admin.php?act=images" title="<?=$LANGUAGE_PACK["admin_menu_image_list"];?>"><?=$LANGUAGE_PACK["admin_menu_image_list"];?></a></li>
		<li><a <?=($menu=="set" ? ' class="current" ':'');?> href="admin.php?act=set" title="<?=$LANGUAGE_PACK["admin_menu_settings"];?>"><?=$LANGUAGE_PACK["admin_menu_settings"];?></a></li>
		<li><a <?=($menu=="ban" ? ' class="current" ':'');?> href="admin.php?act=ban" title="<?=$LANGUAGE_PACK["admin_menu_banned"];?>"><?=$LANGUAGE_PACK["admin_menu_banned"];?></a></li>
		<li><a <?=($menu=="admin" ? ' class="current"':'');?> href="admin.php" title="<?=$LANGUAGE_PACK["admin_menu_home"];?>"><?=$LANGUAGE_PACK["admin_menu_home"];?></a></li>
	</ul>
</div>
<div id="wrap">
	<div id="content">
		<div class="box">
<?
	success_note($Suc);
	error_note($Err);
	$report_list = isset($report_list)?$report_list:null;

	if ($act == "edit" && isset($edit_html)) echo $edit_html;
	elseif ($act == "com" && isset($com_page_out)) echo $com_page_out;
	elseif($act == 'ban' && isset($ban_html)) echo $ban_html;

///////////////////////////////////////////////////////////////
// settings page

	elseif($act == "set"){

?>
		<form method="POST" action="admin.php?act=set">
			<div class="tabs">
				<div id="setAdmin" class="">
					<ul class="tabNavigation">
						<li><a href="#setAdmin"><?=$LANGUAGE_PACK["admin_set_title_admin_setting"];?></a></li>
						<li><a href="#setSite"><?=$LANGUAGE_PACK["admin_set_title_site_setting"];?></a></li>
						<li><a href="#setGallery"><?=$LANGUAGE_PACK["admin_set_title_gallery_setting"]?></a></li>
						<li><a href="#setPage"><?=$LANGUAGE_PACK["admin_set_title_hide_page"];?></a></li>
						<li><a href="#setDeleted"><?=$LANGUAGE_PACK["admin_set_title_auto_deleted"];?></a></li>
						<li><a href="#setUpload"><?=$LANGUAGE_PACK["admin_set_title_upload_setting"];?></a></li>
						<li><a href="#setWatermark"><?=$LANGUAGE_PACK["admin_set_watermark_title"];?></a></li>
						<li><a href="#setShoetUrl"><?=$LANGUAGE_PACK["admin_set_title_url_shortener"];?></a></li>
						<li><a href="#setGoogle"><?=$LANGUAGE_PACK["admin_set_title_google_setting"];?></a></li>
					</ul>
					<div class="clear"></div>
				</div>
				<div id="panes" class="ibox">
				<!--admin setting-->
					<div id="setAdmin" class="panel">
					<?
						optionTitle($LANGUAGE_PACK["admin_set_title_admin_setting"]);
						optionText($LANGUAGE_PACK["admin_set_old_password"],'oldPassword','',null,'password');
						optionText($LANGUAGE_PACK["admin_set_new_password"],'newPassword','',null,'password');
						optionText($LANGUAGE_PACK["admin_set_confirm_new_password"],'newConfirm','',null,'password');
						optionText($LANGUAGE_PACK["admin_set_admin_username"],'setUserName',$settings['SET_USERNAME']);
						optionText($LANGUAGE_PACK["admin_set_email_address"],'setEmail',$settings['SET_CONTACT']);
						submitButton();
					?>
					</div>

				<!--site_setting-->
					<div id="setSite" class="panel">
					<?
						optionTitle($LANGUAGE_PACK["admin_set_title_site_setting"]);
						optionText($LANGUAGE_PACK["admin_set_script_url"],'setScriptUrl',$settings['SET_SITEURL'],'long');
						optionText($LANGUAGE_PACK["admin_set_site_title"],'setTitle',$settings['SET_TITLE'],'long');
						optionText($LANGUAGE_PACK["admin_set_site_slogan"],'setSlogan',$settings['SET_SLOGAN'],'long');
						optionText($LANGUAGE_PACK["admin_set_footer_copyright"],'setCopyright',$settings['SET_COPYRIGHT'],'long');
						optionList($LANGUAGE_PACK["admin_set_site_theme"],'setTheme',$settings['SET_THEME'], makeThemeArray());
						optionOnOff($LANGUAGE_PACK["admin_set_mod_rewrite"],'setModRewrite',$settings['SET_MOD_REWRITE']);
						//optionOnOff($LANGUAGE_PACK["admin_set_link_panel_open"],'setPanelOpen',$settings['SET_PANEL_OPEN']);
						optionOnOff($LANGUAGE_PACK["admin_set_show_image_details"],'setImageDetails',$settings['SET_IMAGE_DETAILS']);// yes 1/no 0
						optionOnOff($LANGUAGE_PACK["admin_set_image_widgit"],'setImageWidgit',$settings['SET_IMAGE_WIDGIT']);// yes 1/no 0
						optionList($LANGUAGE_PACK["admin_set_language"],'setLanguage',$settings['SET_LANGUAGE'], makeLanguageArray());
						submitButton();
					?>
					</div>

				<!-- Gallery Settings -->
					<div id="setGallery" class="panel">
					<?
						optionTitle($LANGUAGE_PACK["admin_set_title_gallery_setting"]);
						optionList($LANGUAGE_PACK["admin_set_images_per_gallery_page"],'setImgOnPage',$settings['SET_IMG_ON_PAGE'],array('4'=>'4','8'=>'8','12'=>'12','16'=>'16','20'=>'20','24'=>'24'));
						optionOnOff($LANGUAGE_PACK["admin_set_report_allow"],'setAllowReport',$settings['SET_ALLOW_REPORT']);
						optionOnOff($LANGUAGE_PACK["admin_set_report_remove_images"],'setRemoveReport',$settings['SET_REMOVE_REPORT']);
						optionOnOff($LANGUAGE_PACK["admin_set_report_Send_email"],'setEmailReport',$settings['SET_EMAIL_REPORT']);
						submitButton();
					?>
					</div>

				<!--hide page-->
					<div id="setPage" class="panel">
					<?
						optionTitle($LANGUAGE_PACK["admin_set_title_hide_page"]);
						optionOnOff($LANGUAGE_PACK["admin_set_hide_gallery"],'setHideGallery',$settings['SET_HIDE_GALLERY']);// yes 1/no 0
						optionOnOff($LANGUAGE_PACK["admin_set_hide_contact"],'setHideContact',$settings['SET_HIDE_CONTACT']);
						optionOnOff($LANGUAGE_PACK["admin_set_hide_tos"],'setHideTos',$settings['SET_HIDE_TOS']);// yes 1/no 0
						optionOnOff($LANGUAGE_PACK["admin_set_hide_search"],'setHideSearch',$settings['SET_HIDE_SEARCH']);// yes 1/no 0
						optionOnOff($LANGUAGE_PACK["admin_set_hide_faq"],'setHideFaq',$settings['SET_HIDE_FAQ']);// yes 1/no 0
						submitButton();
					?>
					</div>

				<!--auto deleted-->
					<div id="setDeleted" class="panel">
					<?
						optionTitle($LANGUAGE_PACK["admin_set_title_auto_deleted"]);
						optionDescription($LANGUAGE_PACK["admin_set_des_auto_deleted"]);
						optionOnOff($LANGUAGE_PACK["admin_set_auto_deleted"],'setAutoDeleted',$settings['SET_AUTO_DELETED']);// yes 1/no 0
						optionList($LANGUAGE_PACK["admin_set_auto_deleted_for"],'setAutoDeletedTime',$settings['SET_AUTO_DELETED_TIME'],array('120'=>'120 '.$LANGUAGE_PACK["admin_set_auto_deleted_days"],'90'=>'90 '.$LANGUAGE_PACK["admin_set_auto_deleted_days"],'60'=>'60 '.$LANGUAGE_PACK["admin_set_auto_deleted_days"],'30'=>'30 '.$LANGUAGE_PACK["admin_set_auto_deleted_days"]));
						optionList($LANGUAGE_PACK["admin_set_run_auto_deleted"],'setAutoDeletedJump',$settings['SET_AUTO_DELETED_JUMP'],array('m'=>$LANGUAGE_PACK["admin_set_run_auto_deleted_Month"],'W'=>$LANGUAGE_PACK["admin_set_run_auto_deleted_week"],'z'=>$LANGUAGE_PACK["admin_set_run_auto_deleted_day"]));
						submitButton();
					?>
					</div>

				<!--upload_setting-->
					<div id="setUpload" class="panel">
					<?
						optionTitle($LANGUAGE_PACK["admin_set_title_upload_setting"]);
						optionOnOff($LANGUAGE_PACK["admin_set_disable_upload"],'setDisUpload',$settings['SET_DIS_UPLOAD']);// yes 0/no 1
						optionList($LANGUAGE_PACK["admin_set_max_upload_file_size"],'setMaxSize',$settings['SET_MAXSIZE'], array('256000'=>'250 kb','512000'=>'500 kb','1048576'=>'1 mb','2097152'=>'2 mb','5242880'=>'5 mb','10485760'=>'10 mb'));
						optionDescription($LANGUAGE_PACK["admin_set_image_max_bandwidth_des"]);
						optionText($LANGUAGE_PACK["admin_set_image_max_bandwidth"],'setMaxBandwidth',$settings['SET_MAX_BANDWIDTH']);
						optionList($LANGUAGE_PACK["admin_set_auto_reset_bandwidth"],'setBandwidthReset',$settings['SET_BANDWIDTH_RESET'], array('m'=>$LANGUAGE_PACK["admin_set_run_auto_deleted_Month"],'W'=>$LANGUAGE_PACK["admin_set_run_auto_deleted_week"]));
						optionList($LANGUAGE_PACK["admin_set_multiple_upload_max"],'setMaxUpload',$settings['SET_MAX_UPLOAD'], array('0'=>'none','5'=>'5','10'=>'10'));
						optionOnOff($LANGUAGE_PACK["admin_set_allow_duplicate"],'setNoDuplicate',$settings['SET_NODUPLICATE']);// yes 0/no 1
						optionOnOff($LANGUAGE_PACK["admin_set_allow_image_resize"],'setResizeImg',$settings['SET_RESIZE_IMG_ON']);// yes 1/no 0
						optionOnOff($LANGUAGE_PACK["admin_set_private_image_upload"],'setPrivateImg',$settings['SET_PRIVATE_IMG_ON']);// yes 0/no 1
						submitButton();
					?>
					</div>

				<!--watermark-->
					<div id="setWatermark" class="panel">
					<?
						optionTitle($LANGUAGE_PACK["admin_set_watermark_title"]);
						optionDescription($LANGUAGE_PACK["admin_set_watermark_des"]);
						optionOnOff($LANGUAGE_PACK["admin_set_watermark_title"],'setWaterMark',$settings['SET_WATERMARK']);// off 1/on 0
						optionText($LANGUAGE_PACK["admin_set_watermark_text"],'setWatermarkText',$settings['SET_WATERMARK_TEXT'],'long');
						optionText($LANGUAGE_PACK["admin_set_watermark_image"],'setWatermarkImage',$settings['SET_WATERMARK_IMAGE'],'long');
						optionList($LANGUAGE_PACK["admin_set_watermark_position"],'setWatermarkPlaced',$settings['SET_WATERMARK_PLACED'], array(1=>$LANGUAGE_PACK["admin_set_watermark_top"].' '.$LANGUAGE_PACK["admin_set_watermark_left"],
																																				2=>$LANGUAGE_PACK["admin_set_watermark_top"].' '.$LANGUAGE_PACK["admin_set_watermark_center"],
																																				3=>$LANGUAGE_PACK["admin_set_watermark_top"].' '.$LANGUAGE_PACK["admin_set_watermark_right"],
																																				4=>$LANGUAGE_PACK["admin_set_watermark_center"].' '.$LANGUAGE_PACK["admin_set_watermark_left"],
																																				5=>$LANGUAGE_PACK["admin_set_watermark_center"].' '.$LANGUAGE_PACK["admin_set_watermark_center"],
																																				6=>$LANGUAGE_PACK["admin_set_watermark_center"].' '.$LANGUAGE_PACK["admin_set_watermark_right"],
																																				7=>$LANGUAGE_PACK["admin_set_watermark_bottom"].' '.$LANGUAGE_PACK["admin_set_watermark_left"],
																																				8=>$LANGUAGE_PACK["admin_set_watermark_bottom"].' '.$LANGUAGE_PACK["admin_set_watermark_center"],
																																				9=>$LANGUAGE_PACK["admin_set_watermark_bottom"].' '.$LANGUAGE_PACK["admin_set_watermark_right"]
																																				));
						submitButton();
					?>
					</div>

				<!--url_shortener-->
					<div id="setShoetUrl" class="panel">
					<?
						optionTitle($LANGUAGE_PACK["admin_set_title_url_shortener"]);
						optionOnOff($LANGUAGE_PACK["admin_set_url_shortener"],'setShortUrl',$settings['SET_SHORT_URL_ON']);// off 0/on 1
						optionList($LANGUAGE_PACK["admin_set_url_short_service"],'setSUrlApi',$settings['SET_SHORT_URL_API'], array('b54'=>'B54.in','yourls'=>'yourls','bitly'=>'bit.ly','tinyurl'=>'tinyurl.com','isgd'=>'is.gd','googl'=>'goo.gl'));
						optionText($LANGUAGE_PACK["admin_set_url_short_api_url"],'setSUrlApiUrl',$settings['SET_SHORT_URL_API_URL']);
						optionText($LANGUAGE_PACK["admin_set_url_short_api_username"],'setSUrlApiUesr',$settings['SET_SHORT_URL_USER']);
						optionText($LANGUAGE_PACK["admin_set_url_short_api_password"],'setSUrlApiPass',$settings['SET_SHORT_URL_PASS']);
						submitButton();
					?>
					</div>

				<!--google_setting-->
					<div id="setGoogle" class="panel">
					<?
						optionTitle($LANGUAGE_PACK["admin_set_title_google_setting"]);
						optionDescription($LANGUAGE_PACK["admin_set_google_setting_des"]);
						optionText($LANGUAGE_PACK["admin_set_google_analytics_code"],'setAnalytics',$settings['SET_GOOGLE_ANALYTICS'],'long');
						optionText($LANGUAGE_PACK["admin_set_google_channal_code"],'setGoogleCha',$settings['SET_GOOGLE_CHANNAL'],'long');
						optionText($LANGUAGE_PACK["admin_set_google_adsense_code"],'setGoogleAds',$settings['SET_GOOGLE_ADS'],'long');
						submitButton();
					?>
					</div>
					<div class="clear"></div>
				</div>
				<div class="clear"></div>
			</div>
		</form>
<?
	}

// end set
///////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////
// admin page

	elseif($act !='images'){

		$dbxxy = db_pageCounterList();
		$today = strtotime(date('M j, Y'));
		
	// setup arrays 
		$v_count = array(
						'day1'=>0,'day2'=>0,'day3'=>0,'day4'=>0,'day5'=>0,
						'day6'=>0,'day7'=>0,'week'=>0,'month'=>0,'t'=>count($dbxxy)
						);
		$ip_list = array(
						'day1'=>array(),'day2'=>array(),'day3'=>array(),'day4'=>array(),'day5'=>array(),
						'day6'=>array(),'day7'=>array(),'week'=>array(),'month'=>array(),'t'=>array(),
						'page'=>array(),
						);


		foreach($dbxxy as $k => $v){
			$reldays = ($v['time'] - $today)/86400;
		//day 1 (today)
			if ($reldays >= 0 && $reldays < 1){
				$v_count['day1'] ++;
				If(!in_array($v['ip'],$ip_list['day1'])) $ip_list['day1'][] = $v['ip'];
			}
		//day 2 (yesterday)
			elseif ($reldays >= -1 && $reldays < 0){
				$v_count['day2']++;
				If(!in_array($v['ip'],$ip_list['day2'])) $ip_list['day2'][] = $v['ip'];
			}
		//day 3
			elseif ($reldays >= -2 && $reldays < -1){
				$v_count['day3']++;
				If(!in_array($v['ip'],$ip_list['day3'])) $ip_list['day3'][] = $v['ip'];
			}
		//day 4
			elseif ($reldays >= -3 && $reldays < -2){
				$v_count['day4']++;
				If(!in_array($v['ip'],$ip_list['day4'])) $ip_list['day4'][] = $v['ip'];
			}
		//day 5
			elseif ($reldays >= -4 && $reldays < -3){
				$v_count['day5']++;
				If(!in_array($v['ip'],$ip_list['day5'])) $ip_list['day5'][] = $v['ip'];
			}
		//day 6
			elseif ($reldays >= -5 && $reldays < -4){
				$v_count['day6']++;
				If(!in_array($v['ip'],$ip_list['day6'])) $ip_list['day6'][] = $v['ip'];
			}
		//day 7
			elseif ($reldays >= -6 && $reldays < -5){
				$v_count['day7']++;
				If(!in_array($v['ip'],$ip_list['day7'])) $ip_list['day7'][] = $v['ip'];
			}
		//last 7 days
			if ($reldays >= -7){
				$v_count['week']++;
				If(!in_array($v['ip'],$ip_list['week']))
					$ip_list['week'][] = $v['ip'];
			}
		// this month
			if ($reldays >= -date('j')){
				$v_count['month']++;
				If(!in_array($v['ip'],$ip_list['month']))
					$ip_list['month'][] = $v['ip'];
			}
		//Over all
			If(!in_array($v['ip'],$ip_list['t'])) $ip_list['t'][] = $v['ip'];
		
			If(!isset($ip_list['page'][$v['page']]))
				$ip_list['page'][$v['page']] = 1;
			else
				$ip_list['page'][$v['page']]++;

		}

?>
		<!--div class="box"-->

			<div class="ibox">
				<h2><?=$LANGUAGE_PACK["admin_menu_home"];?></h2>
				<div class="quickview">
					<h3><?=$LANGUAGE_PACK["admin_home_overview"];?></h3>
					<ul>
					<li><?=$LANGUAGE_PACK["admin_home_total_images"];?>: <span class="number"><?=$DBCOUNT;?></span></li>
					<li><?=$LANGUAGE_PACK["admin_home_private_images"];?>: <span class="number"><?=$DbPrivate;?></span></li>
					<li><?=$LANGUAGE_PACK["admin_home_filespace_used"];?>: <span class="number"><?=format_size($total_image_size);?></span></li>
					<li><?=$LANGUAGE_PACK["admin_home_total_bandwidth"];?>: <span class="number"><?=format_size($total_bw);?></span></li>
					
					</ul>
				</div>
				<div class="quickview">
					<h3><?=$LANGUAGE_PACK["admin_home_page_views"];?></h3>
					<ul>
					<li><?=$LANGUAGE_PACK["admin_home_today"];?>: <span class="number"><?=$v_count['day1'];?></span></li>
					<li><?=$LANGUAGE_PACK["admin_home_yesterday"];?>: <span class="number"><?=$v_count['day2'];?></span></li>
					<?/*li>last 7 days: <span class="number"><?=$v_count['week'];?></span></li*/?>
					<li><?=$LANGUAGE_PACK["admin_home_this_month"];?>: <span class="number"><?=$v_count['month'];?></span></li>
					<li><?=$LANGUAGE_PACK["admin_home_over_all"];?>: <span class="number"><?=$v_count['t'];?></span></li>
					</ul>
				</div>
				<div class="quickview">
					<h3><?=$LANGUAGE_PACK["admin_home_unique_visits"];?></h3>
					<ul>
					<li><?=$LANGUAGE_PACK["admin_home_today"];?>: <span class="number"><?=count($ip_list['day1']);?></span></li>
					<li><?=$LANGUAGE_PACK["admin_home_yesterday"];?>: <span class="number"><?=count($ip_list['day2']);?></span></li>
					<?/*li>last 7 days: <span class="number"><?=count($ip_list['week']);?></span></li*/?>
					<li><?=$LANGUAGE_PACK["admin_home_this_month"];?>: <span class="number"><?=count($ip_list['month']);?></span></li>
					<li><?=$LANGUAGE_PACK["admin_home_over_all"];?>: <span class="number"><?=count($ip_list['t']);?></span></li>
					</ul>
				</div>
				<table id='myTable'>
					<caption><?=$LANGUAGE_PACK["admin_home_last_7_days"];?></caption>
					<thead>
						<tr>
							<th></th>
							<th><?=date('d M', strtotime('-6 day'));?></th>
							<th><?=date('d M', strtotime('-5 day'));?></th>
							<th><?=date('d M', strtotime('-4 day'));?></th>
							<th><?=date('d M', strtotime('-3 day'));?></th>
							<th><?=date('d M', strtotime('-2 day'));?></th>
							<th><?=date('d M', strtotime('-1 day'));?></th>
							<th><?=$LANGUAGE_PACK["admin_home_today"];?></th>
						</tr>
					</thead>
						<tbody>
						<tr>
							<th><?=$LANGUAGE_PACK["admin_home_unique_visits"];?></th>
							<td><?=count($ip_list['day7']);?></td>
							<td><?=count($ip_list['day6']);?></td>
							<td><?=count($ip_list['day5']);?></td>
							<td><?=count($ip_list['day4']);?></td>
							<td><?=count($ip_list['day3']);?></td>
							<td><?=count($ip_list['day2']);?></td>
							<td><?=count($ip_list['day1']);?></td>
						</tr>
						<tr>
							<th><?=$LANGUAGE_PACK["admin_home_page_views"];?></th>
							<td><?=$v_count['day7'];?></td>
							<td><?=$v_count['day6'];?></td>
							<td><?=$v_count['day5'];?></td>
							<td><?=$v_count['day4'];?></td>
							<td><?=$v_count['day3'];?></td>
							<td><?=$v_count['day2'];?></td>
							<td><?=$v_count['day1'];?></td>
						</tr>
					</tbody>
				</table>
			</div>

			<div class="ibox top_img">
				<h2><?=$LANGUAGE_PACK["admin_home_top_image"];?></h2>
				<div class="quickview tInfo">
					<h3><?=$LANGUAGE_PACK["admin_home_by_bandwidth"];?></h3>
					<ul>
						<li><?=$LANGUAGE_PACK["admin_home_id"];?>: <span class="number"><a href="<?=imageAddress(1,$mostBwImage['id'],null,$mostBwImage);?>"  target="_blank" title="<?=$mostBwImage['alt'];?>" img_src="<?=imageAddress(3,$mostBwImage['id']);?>" class="imglink img_tooltip" id="fancybox"><?=$mostBwImage['id'];?></a></span></li>
						<li><?=$LANGUAGE_PACK["admin_home_name"];?>: <span class="number"> <?=$mostBwImage['alt'];?></span></li>
						<li><?=$LANGUAGE_PACK["admin_home_bandwidth"];?>: <span class="number"> <?=format_size($mostBwImage['bandwidth']);?></span></li>
						<li><?=$LANGUAGE_PACK["admin_home_hotlink_views"];?>: <span class="number"> <?=$mostBwImage['hotlink'];?></span></li>
					</ul>
				</div>
				<div class="quickview tInfo">
					<h3><?=$LANGUAGE_PACK["admin_home_by_hotlink_views"];?></h3>
					<ul>
						<li><?=$LANGUAGE_PACK["admin_home_id"];?>: <span class="number"><a href="<?=imageAddress(1,$mostViewImage['id'],null,$mostViewImage);?>"  target="_blank" title="<?=$mostViewImage['alt'];?>" img_src="<?=imageAddress(3,$mostViewImage['id'])?>" class="imglink img_tooltip" id="fancybox"><?=$mostViewImage['id'];?></a></span></li>
						<li><?=$LANGUAGE_PACK["admin_home_name"];?>: <span class="number"> <?=$mostViewImage['alt'];?></span></li>
						<li><?=$LANGUAGE_PACK["admin_home_bandwidth"];?>: <span class="number"> <?=format_size($mostViewImage['bandwidth']);?></span></li>
						<li><?=$LANGUAGE_PACK["admin_home_hotlink_views"];?>: <span class="number"> <?=$mostViewImage['hotlink'];?></span></li>
					</ul>
				</div>
			</div>
			<div class="clear"></div>
		<?if($settings['SET_ALLOW_REPORT']){?>
			<div class="ibox top_img">
				<h2><?=$LANGUAGE_PACK["admin_home_reported_images"];?></h2>
				<?if($report_list!=null){?>
				<table class="table_small">
					<thead>
						<tr>
							<th>&nbsp;</th>
							<!--th scope="col" title="<?=$LANGUAGE_PACK["admin_home_tooltip_date_reported"];?>"><?=$LANGUAGE_PACK["admin_home_date_reported"];?></th-->
							<th scope="col" title="<?=$LANGUAGE_PACK["admin_home_tooltip_image_name"];?>"><?=$LANGUAGE_PACK["admin_home_image_name"];?></th>
							<!--th scope="col" title="<?=$LANGUAGE_PACK["admin_home_tooltip_reported"];?>"><?=$LANGUAGE_PACK["admin_home_reported"];?></th-->
						</tr>
					</thead>
					<tbody>
						<?=$report_list;?>
					</tbody>
				</table>
				<?}else{?>
					<center>No reported images found</center>
				<?}?>
			</div>
<?}?>
			<div class="clear"></div>
		</div>
<?
	}elseif($act =='images'){
?>
		<!--div class="box"-->
			<div class="ibox full">
				<h2><?=$LANGUAGE_PACK["admin_home_image_index"];?></h2>
				<div class="table_top">
					<div class="col">
						<select name="onPage" size="1" class="text_input" onChange="if(value) window.location.href = this.value;">
							<option selected value="admin.php?act=images<?=$pagination_ex_var_ob;?>"><?=$LANGUAGE_PACK["admin_home_number_to_list"];?></option>
							<option value="admin.php?act=images&list=20<?=$pagination_ex_var_ob;?>">20</option>
							<option value="admin.php?act=images&list=40<?=$pagination_ex_var_ob;?>">40</option>
							<option value="admin.php?act=images&list=80<?=$pagination_ex_var_ob;?>">80</option>
							<option value="admin.php?act=images&list=100<?=$pagination_ex_var_ob;?>">100</option>
							<option value="admin.php?act=images&list=999999<?=$pagination_ex_var_ob;?>"><?=$LANGUAGE_PACK["admin_home_number_to_list_all"];?></option>
						</select>
					</div>
					<div class="col">
						<select name="orderBy" size="1" class="text_input" onChange="if(value) window.location.href = this.value;">
							<option selected value="admin.php?act=images<?=$pagination_ex_var_li;?>"><?=$LANGUAGE_PACK["admin_home_order_list"];?></option>
							<option <?=($orderBy=="added"		? '':'');?> value="admin.php?act=images&orderBy=added<?=$pagination_ex_var_li;?>"><?=$LANGUAGE_PACK["admin_home_order_list_date_added"];?></option>
							<option <?=($orderBy=="lastviewed"	? 'selected="selected"':'');?> value="admin.php?act=images&orderBy=lastviewed<?=$pagination_ex_var_li;?>"><?=$LANGUAGE_PACK["admin_home_order_list_last_viewed"];?></option>
							<option <?=($orderBy=="hotlink"		? 'selected="selected"':'');?> value="admin.php?act=images&orderBy=hotlink<?=$pagination_ex_var_li;?>"><?=$LANGUAGE_PACK["admin_home_hotlink_views"];?></option>
							<option <?=($orderBy=="bandwidth"	? 'selected="selected"':'');?> value="admin.php?act=images&orderBy=bandwidth<?=$pagination_ex_var_li;?>"><?=$LANGUAGE_PACK["admin_home_order_list_bandwidth_used"];?></option>
							<option <?=($orderBy=="gallery"		? 'selected="selected"':'');?> value="admin.php?act=images&orderBy=gallery<?=$pagination_ex_var_li;?>"><?=$LANGUAGE_PACK["admin_home_order_list_gallery_clicked"];?></option>
						</select>
					</div>
					<div class="clear"></div>
				</div>
			<?
				if (isset($order) && $order == 'DESC') $oud = '&order=1';
				else $oud ='';
			?>
				<table>
					<thead>
					<tr class="odd">
						<th>&nbsp;</th>
						<th scope="col" title="<?=$LANGUAGE_PACK["admin_home_imglist_tt_image_added"];?>"><a href="admin.php?act=images&orderBy=added<?=$oud;?><?=$pagination_ex_var_li;?>" class="<?=($orderBy=='added'?'on':'');?>"><?=$LANGUAGE_PACK["admin_home_imglist_image_added"];?></a></th>
						<th scope="col" title="<?=$LANGUAGE_PACK["admin_home_imglist_tt_image_name"];?>"><?=$LANGUAGE_PACK["admin_home_imglist_image_name"];?></th>
						<th scope="col" title="<?=$LANGUAGE_PACK["admin_home_imglist_tt_last_viewed"];?>"><a href="admin.php?act=images&orderBy=lastviewed<?=$oud;?><?=$pagination_ex_var_li;?>" class="<?=($orderBy=='lastviewed'?'on':'');?>"><?=$LANGUAGE_PACK["admin_home_imglist_last_viewed"];?></a></th>
						<th scope="col" title="<?=$LANGUAGE_PACK["admin_home_imglist_tt_gallery_clicks"];?>"><a href="admin.php?act=images&orderBy=gallery<?=$oud;?><?=$pagination_ex_var_li;?>" class="<?=($orderBy=='gallery'?'on':'');?>"><?=$LANGUAGE_PACK["admin_home_imglist_gallery_clicks"];?></a></th>

						<th scope="col" title="<?=$LANGUAGE_PACK["admin_home_imglist_tt_hotlink_views"];?>"><a href="admin.php?act=images&orderBy=hotlink<?=$oud;?><?=$pagination_ex_var_li;?>" class="<?=($orderBy=='hotlink'?'on':'');?>"><?=$LANGUAGE_PACK["admin_home_hotlink_views"];?></a></th>
						<th scope="col" title="<?=$LANGUAGE_PACK["admin_home_imglist_tt_bandwidth_used"];?>"><a href="admin.php?act=images&orderBy=bandwidth<?=$oud;?><?=$pagination_ex_var_li;?>" class="<?=($orderBy=='bandwidth'?'on':'');?>"><?=$LANGUAGE_PACK["admin_home_imglist_bandwidth_used"];?></a></th>
						<th scope="col" title="<?=$LANGUAGE_PACK["admin_home_imglist_tt_private"];?>"><?=$LANGUAGE_PACK["admin_home_imglist_private"];?></th>
					</tr>
					</thead>
					<tbody>
						<?=$list_item;?>
					</tbody>
				</table>
				<?=$pagination;?>
			</div>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
<?
	}

// end admin home
///////////////////////////////////////////////////////////////
}// end loged in
///////////////////////////////////////////////////////////////
// NOT LOGGED IN PAGES
else{


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<title><?=$settings['SET_TITLE'];?>: IMAGE HOSTING: Logon</title>
	<meta name="Description" content="<?=$settings['SET_TITLE'];?>: IMAGE HOSTING: Logon" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<link rel="stylesheet" href="css/admin.css" type="text/css" />
</head>
<body id="logon">
	<div id="wrap">
<?
	if (!$reset_password){// LOGIN PAGE
	
?>
	<div id="content">
		<div class="tabs">
			<h2>LOGIN</h2>
			<ul class="tabs_list">
				<li><a href="#tabs-1">Login</a></li>
				<li><a href="#tabs-2" title="<?=$LANGUAGE_PACK["admin_forgot_password_login_link"];?>"><?=$LANGUAGE_PACK["admin_forgot_password_login_link"];?></a></li>
			</ul>
			<div class="panes">
				<div id="tabs-1" class="tabbox">
<?
if(!isset($forgot_note)){
	success_note($Suc);
	error_note($Err);
}
?>
					<form id="login-form" action="admin.php#tabs-1" method="POST">
							<div class="code_box"><label for="UserName"><?=$LANGUAGE_PACK["admin_login_username"];?></label><input type="text" id="userName" name="userName" class="text_input"/></div>
							<div class="code_box"><label for="password"><?=$LANGUAGE_PACK["admin_login_password"];?></label><input type="password" id="passWord" name="passWord" class="text_input"/></div>
							<div class="remember"><input type="checkbox" name="autologin" id="autologin" value="1"><label for="autologin"><?=$LANGUAGE_PACK["admin_login_remember_me"]?></label></div>
							<input type="submit" class="button button_cen" name="enter" value="<?=$LANGUAGE_PACK["admin_login_button"];?>"/><br/>
							<input type="hidden" name="action" value="login" style="display: none;">
					</form>
				</div>
				<div id="tabs-2" class="tabbox">
<?
if(isset($forgot_note)){
	success_note($Suc);
	error_note($Err);
}
?>
					<form id="forgot-form" action="admin.php#tabs-2" method="POST">
							<div class="code_box"><label for="email"><?=$LANGUAGE_PACK["admin_home_your_email"];?></label><input type="text" id="email" name="email" class="text_input"/></div>
							<input type="submit" class="button button_cen" name="enter" value="<?=$LANGUAGE_PACK["admin_login_button"];?>"/><br/>
							<input type="hidden" name="forgot" value="forgot" style="display: none;">
					</form>
				</div>
			</div>
		<div class="clear"></div>
		</div>
	</div>

<?
	}// END LOGIN
	else
	{// RESET PASSWORD

	success_note($Suc);
	error_note($Err);
?>
	<div id="content">
		<h2 class="title"><?=$LANGUAGE_PACK["admin_forgot_password_title"];?></h2>
		<form id="reset-form" action="admin.php" method="POST">
			<div class="code_box"><label><?=$LANGUAGE_PACK["admin_set_new_password"];?> :</label><input class="text_input" type="password" name="newPassword" value="" size="20" /></div>
			<div class="code_box"><label><?=$LANGUAGE_PACK["admin_set_confirm_new_password"];?> :</label><input class="text_input" type="password" name="newConfirm" value="" size="20" /></div>
			<input type="submit" class="button button_cen" name="enter" value="<?=$LANGUAGE_PACK["admin_set_save_button"];?>"/>
			<input type="hidden" name="action" value="reset" style="display: none;">
		</form>
		<div class="clear"></div>
	</div>
<?
	}// END RESET PASSWORD
} // END NOT LOGGED IN PAGES
?>
	</div>
	<div id="footer">
		<p><?=$LANGUAGE_PACK["admin_footer_powered_by"];?> <a href="http://codefuture.co.uk/projects/imagehost/" title="Free PHP Image Hosting Script">CF Image Hosting script</a></p>
	</div>

	<script src="http://cdn.jquerytools.org/1.2.5/jquery.tools.min.js"></script>
	<script type="text/javascript" src="lightbox/jquery.fancybox-1.3.4.pack.js"></script>
<? if($act == '' || $act=='edit'){?>
	<script type="text/javascript" src="http://www.google.com/jsapi"></script>
	<script type="text/javascript" src="js/jquery.gvChart-1.0.1.min.js"></script>
		<script type="text/javascript">
		gvChartInit();
		$(document).ready(function(){
			$('#myTable').gvChart({
				chartType: 'AreaChart',
				gvSettings: {
					width: 520,
					height: 150,
					}
			});
		});
		</script>
<?}?>
	<script src="js/admin.js"></script>
</body>
</html>
<?

// MAKE PAGE END
////////////////////////////////////////////////////////////////////////////////////

// settings functions
function optionList($label,$name,$setting,$list){
	echo '
	<div class="code_box"><label>'.$label.' :</label>
	<select name="'.$name.'" class="text_input">';
	foreach ($list  as $k => $v){
		echo '<option value="'.$k.'" '.($setting==$k?'selected="selected"':'').'>'.$v.'</option>';
	}
	echo '</select></div>';
}
function optionOnOff($label,$name,$setting){
	global $LANGUAGE_PACK;
	echo '
	<div class="code_box"><label>'.$label.' :</label>
	<select name="'.$name.'" class="text_input">
		<option value="0" '.(!$setting?'selected="selected"':'').'>'.$LANGUAGE_PACK["admin_set_option_off"].'</option>
		<option value="1" '.($setting?'selected="selected"':'').'>'.$LANGUAGE_PACK["admin_set_option_on"].'</option>
	</select></div>';
}
function optionText($label,$name,$setting,$size=null,$type=null){
	$eClass = (is_null($size)?'text_input':'text_input long');
	$eType = (is_null($type)?'text':$type);
	echo '<div class="code_box"><label>'.$label.' :</label><input class="'.$eClass.'" type="'.$eType.'" name="'.$name.'" value="'.$setting.'" size="20" /></div>';
}
function submitButton(){
	global $LANGUAGE_PACK;
	echo '<div class="code_box"><label></label><input class="button button_cen" type="submit" value="'.$LANGUAGE_PACK["admin_set_save_button"].'" name="changesettings[]"></div>';
}
function optionTitle($title){
	echo '<h2>'.$title.'</h2>';
}
function optionDescription($des){
	echo '<p class="teaser">'.$des.'</p>';
}
function makeThemeArray(){
	$dirname = "css/";
	$dir_list = opendir($dirname);

	while(false != ($file = readdir($dir_list))){
		if(($file != ".") && ($file != "..")){
			$theme_name = explode(".", $file);
			if (end($theme_name) == 'css') 
				if($theme_name[0]<>'admin')
					$array[$file]=$theme_name[0];
		}
	}
	return $array;
}
function makeLanguageArray(){
	$dirname = "languages/";
	$dir_list = opendir($dirname);

	while(false != ($file = readdir($dir_list))){
		if(($file != ".") && ($file != "..")){
			$lang_name = explode(".", $file);
			if (count($lang_name) > 2 && $lang_name[1].'.'.$lang_name[2] == 'lang.php'){
				$array[$lang_name[0]]=$lang_name[0];
			}
		}
	}
	return $array;
}
function imageCounter($id,$days=7){
	global $settings,$LANGUAGE_PACK;

	$today = time();
	$dball = db_imageCounterList(ceil(($days*86400)-$today),$id);

	$ref = array();
	$counter = array_fill(0,$days,0);

	foreach($dball as $k => $v){
		$reldays = ceil(($v['date'] - $today)/86400);
		if(isset($counter[abs($reldays)]))$counter[abs($reldays)]++;
	//Over all
		If(!isset($ref[$v['ref']])) $ref[$v['ref']] = 1;
		else $ref[$v['ref']]++;

	}
	krsort($counter);
	$table = '
	<table id="myTable">
		<thead>
			<tr><th></th>';
	$table_td ='';
	foreach($counter as $k=>$v){
		$table .= '					<th>'.date('d M', strtotime(n_abs($k).' day')).'</th>'."\n";
		$table_td .= '					<td>'.(isset($counter[$k])?$v:0).'</td>'."\n";
	}
	$table .='
			</tr>
		</thead>
		<tbody>
			<tr><th>'.$LANGUAGE_PACK["admin_home_page_views"].'</th>
				'.$table_td.'
			</tr>
		</tbody>
	</table>';


	$table2 ='</div>
			<div class="ibox imgedit_form"><h2>Image Viewed On</h2>';
	$table2 .= '<table id="imgedit"><thead><tr><th>url</th><th>Viewed</th></tr></thead><tbody>';
	$table_td ='';
	foreach($ref as $k=>$v){//Unknown = 0
		$ks = str_split($k, 75);
		$table2 .= '<tr'.($li_odd = empty($li_odd) ? ' class="odd"' : '').'><td><a href="'.$k.'" title="'.$k.'">'.$ks[0].'</a></td><td>'.$v.'</td></tr>'."\n";
	}
	$table2 .='</tbody></table>';
	$table2 .='';

	return $table.$table2;

}
function n_abs($v) { return ~abs($v) + 1; }
?>