<?php
//
//   CF Image Hosting Script 
//   --------------------------
//
//   Author:    codefuture.co.uk
//   Version:   1.4.1
//   Date:      03 April 2011
//
//   download the latest version from - http://codefuture.co.uk/projects/imagehost/
//
//   Copyright (c) 2011 codefuture.co.uk
//   This file is part of the CF Image Hosting Script.
//
//   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
//   COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
//   OR  IN  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
//
//  You may not modify and/or remove any copyright notices or labels on the software on each
//  page (unless full license is purchase) and in the header of each script source file.
//
//  You should have received a full copy of the LICENSE AGREEMENT along with
//  CF Image Hosting Script.  If not, see http://codefuture.co.uk/projects/imagehost/license/
//   
////////////////////////////////////////////////////////////////////////////////////

	require_once('inc/config.php');

	if(!$settings['SET_HIDE_FAQ']){
		header('Location: index.php');
		exit();
	}

	$menu = 'faq';
	$page_title = ' - '.$LANGUAGE_PACK["site_faq_title"];
	include_once('header.php');
?>
		<div class="contentBox">
			<div id="faq">
				<h2><?=$LANGUAGE_PACK["site_faq_title"];?></h2>
					<div class="faq_box">
						<a href="#" name="faq-1" class="title"><?=sprintf($LANGUAGE_PACK["site_faq_q1"],$settings['SET_TITLE']);?></a><br />
						<div class="answer" id="faq-1"><?=$LANGUAGE_PACK["site_faq_a1"];?></div>
					</div>

					<div class="faq_box">
						<a href="#" name="faq-2" class="title"><?=$LANGUAGE_PACK["site_faq_q2"];?></a><br />
						<div class="answer" id="faq-2"><?=sprintf($LANGUAGE_PACK["site_faq_a2"],$settings['SET_TITLE']);?></div>
					</div>

					<div class="faq_box">
						<a href="#" name="faq-3" class="title"><?=$LANGUAGE_PACK["site_faq_q3"];?></a><br />
						<div class="answer" id="faq-3"><?=strtoupper(implode(', ',$accepted));?> <?=$LANGUAGE_PACK["site_faq_a3"];?></div>
					</div>

					<div class="faq_box">
						<a href="#" name="faq-4" class="title"><?=$LANGUAGE_PACK["site_faq_q4"];?></a><br />
						<div class="answer" id="faq-4"><?=$LANGUAGE_PACK["site_faq_a4"];?></div>
					</div>

					<div class="faq_box">
						<a href="#" name="faq-5" class="title"><?=$LANGUAGE_PACK["site_faq_q5"];?></a><br />
						<div class="answer" id="faq-5"><?=$LANGUAGE_PACK["site_faq_a5"];?></div>
					</div>

					<div class="faq_box">
						<a href="#" name="faq-6" class="title"><?=$LANGUAGE_PACK["site_faq_q6"];?></a><br />
						<div class="answer" id="faq-6"><?=$LANGUAGE_PACK["site_faq_a6"];?> <?=(format_size(1048576*$settings['SET_MAX_BANDWIDTH'])).' '.$LANGUAGE_PACK["site_index_max_bandwidth_per"].($settings['SET_AUTO_DELETED_JUMP'] == 'm' ? $LANGUAGE_PACK["site_index_max_bandwidth_per_month"]:$LANGUAGE_PACK["site_index_max_bandwidth_per_week"]);?>.</div>
					</div>

					<div class="faq_box">
						<a href="#" name="faq-7" class="title"><?=$LANGUAGE_PACK["site_faq_q7"];?></a><br />
						<div class="answer" id="faq-7"><?=sprintf($LANGUAGE_PACK["site_faq_a7_1"],$LANGUAGE_PACK["site_menu_tos"]);?><?if($settings['SET_AUTO_DELETED']){?><?=sprintf($LANGUAGE_PACK["site_faq_a7_2"],$settings['SET_AUTO_DELETED_TIME']);?><?}?></div>
					</div>

					<div class="faq_box">
						<a href="#" name="faq-8" class="title"><?=$LANGUAGE_PACK["site_faq_q8"];?></a><br />
						<div class="answer" id="faq-8"><?=$LANGUAGE_PACK["site_faq_a8"];?> <?=format_size($settings['SET_MAXSIZE']);?>.</div>
					</div>

					<div class="faq_box">
						<a href="#" name="faq-9" class="title"><?=$LANGUAGE_PACK["site_faq_q9"];?></a><br />
						<div class="answer" id="faq-9"><?=$LANGUAGE_PACK["site_faq_a9"];?></div>
					</div>

					<div class="faq_box">
						<a href="#" name="faq-10" class="title"><?=$LANGUAGE_PACK["site_faq_q10"];?></a><br />
						<div class="answer" id="faq-10"><?=$LANGUAGE_PACK["site_faq_a10"];?></div>
					</div>
			</div>
		</div>
<?
	include_once('footer.php');