<?
//
//   CF Image Hosting Script 
//   --------------------------
//
//   Author:    codefuture.co.uk
//   Version:   1.4.1
//   Date:      03 April 2011
//
//   download the latest version from - http://codefuture.co.uk/projects/imagehost/
//
//   Copyright (c) 2011 codefuture.co.uk
//   This file is part of the CF Image Hosting Script.
//
//   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
//   COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
//   OR  IN  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
//
//  You may not modify and/or remove any copyright notices or labels on the software on each
//  page (unless full license is purchase) and in the header of each script source file.
//
//  You should have received a full copy of the LICENSE AGREEMENT along with
//  CF Image Hosting Script.  If not, see http://codefuture.co.uk/projects/imagehost/license/
//   
////////////////////////////////////////////////////////////////////////////////////

	require_once('inc/config.php');

	header('Content-type: text/xml');
	echo '<?xml version="1.0" encoding="utf-8"?>';
?>
	<rss version="2.0">
		<channel>
			<title><?=$settings['SET_TITLE'];?></title>
			<link><?=$settings['SET_SITEURL'];?></link>
			<description><?=$LANGUAGE_PACK["feed_description"];?></description>
			<language><?=$LANGUAGE_PACK["feed_language"];?></language>
	<?php
		if($imageList = imageList(0)){
			foreach($imageList as $k=>$image){
				$date = date("D, d M Y H:i:s T", $image['added']);
				$url = imageAddress(2,$image['id'],"pm");
				$thumb_url = imageAddress(3,$image['id'],"dt");
				?>
				<item>
					<title><?=$LANGUAGE_PACK["feed_image_name"];?> <?=$image['name'];?></title>
					<link><?=$url;?>#post-<?=$k;?></link>
					<pubDate><?=$date;?></pubDate>
					<description>
					&lt;p&gt;&lt;img style="float:left;margin-right:10px;margin-bottom: 10px;" src="<?=$thumb_url;?>" alt="<?=$image['alt'];?>" /&gt;&lt;/p&gt;</description>
				</item>
			<?}
		}else{?>

				<item>
					<title><?=$LANGUAGE_PACK["feed_no_images"];?></title>
					<link><?=$settings['SET_SITEURL'];?></link>
					<pubDate><?=date("D, d M Y H:i:s T");?></pubDate>
					<description><![CDATA[ No Images ]]></description>
				</item>
<?}?>
			</channel>
		</rss>