//
//   CF Image Hosting Script 
//   --------------------------
//
//   Author:    codefuture.co.uk
//   Version:   1.4.1
//   Date:      03 April 2011
//
//   download the latest version from - http://codefuture.co.uk/projects/imagehost/
//
//   Copyright (c) 2011 codefuture.co.uk
//   This file is part of the CF Image Hosting Script.
//
//   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
//   COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
//   OR  IN  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
//
//  You may not modify and/or remove any copyright notices or labels on the software on each
//  page (unless full license is purchase) and in the header of each script source file.
//
//  You should have received a full copy of the LICENSE AGREEMENT along with
//  CF Image Hosting Script.  If not, see http://codefuture.co.uk/projects/imagehost/license/
//   
////////////////////////////////////////////////////////////////////////////////////

function doconfirm(message) {
	if (confirm(message)){
		return true;
	}else{
		return false;
	}
}
// lightbox
//	$(function() {$('div.img_box a').lightBox({overlayOpacity: 0.6});});
$(document).ready(function(){
	$("a#fancybox").fancybox({
		'titlePosition'	: 'inside'
	});
});

function pimg(){
	this.xOffset = 5;
	this.yOffset = 50;
	$("a.img_tooltip").hover(function (e){
		this.img_title = this.title;
		this.title = "";
		var img_src = $(this).attr('img_src');
		var desc = (this.img_title != "") ? "<h3>" + this.img_title + "</h3>" : "";
		var image = (img_src) ? img_src : this.src;
		$("body").append("<div id='img_tooltip'><img src='" + image + "' alt='Image preview' />" + desc + "</div>");
		$("#img_tooltip").css("top", (e.pageY - xOffset) + "px").css("left", (e.pageX + yOffset) + "px");
		$("#img_tooltip").fadeIn(700);
	}, function (){
		this.title = this.img_title;
		$("#img_tooltip").remove();
	});
};

// remove image
$(function() {
	$(".delete").click(function() {
		var msg = $(this).attr('ret');
		var test=$(this).closest("tr");
		var id = $(this).attr("id");
		var string = 'd='+ id +'&act=remove';
		if(doconfirm(msg)){
			$('#load').fadeIn();
			$.ajax({
				type: "GET",
				dataType: "json",
				url: "admin.php",
				data: string,
				cache: false,
				success: function(data){
					if(data.status)test.fadeTo(400, 0, function () {test.remove();});
					else alert(data.html);
				}
			});
			return false;
		}
	});
});

$(document).ready(function (){
// Image tooltip
	pimg();
// settings panel
	var lastOpen = '';
	$(".flip").click(function(){
		if(lastOpen != $(this)){
			$(lastOpen).next('.panel').animate({"height": "toggle", "opacity": "toggle"}, "slow");
			$(this).next('.panel').animate({"height": "toggle", "opacity": "toggle"}, "slow");
			lastOpen = $(this);
		}
	});

});
//Close button:
$(".close").click(function () {
	$(this).parent().fadeTo(400, 0, function () { // Links with the class "close" will close parent
		$(this).slideUp(400);
	});
	return false;
});
//Minimize Content Box
/*
	$(".ibox h2").css({ "cursor":"s-resize" }); // Give the h2 in Content Box Header a different cursor
	// When the h2 is clicked...
	$(".ibox h2").click( function () {
		$(this).parent().children().not('h2').animate({"height": "toggle"}, "slow");//.toggle(); // Toggle the all elements other then h2
		$(this).parent().toggleClass("closed-box"); // Toggle the class "closed-box" on the content box(ibox)
	}); 
*/

	$(".tabs_list").tabs(".panes > div", {effect: 'fade', fadeOutSpeed: 400});
	$(".tabNavigation").tabs("#panes > div.panel");
	$("#content th[title]").tooltip([-10, 0]);
	$("#content a.tip[title]").tooltip({offset:[-10, 0]});
