<?php
//
//   CF Image Hosting Script 
//   --------------------------
//
//   Author:    codefuture.co.uk
//   Version:   1.4.1
//   Date:      03 April 2011
//
//   download the latest version from - http://codefuture.co.uk/projects/imagehost/
//
//   Copyright (c) 2011 codefuture.co.uk
//   This file is part of the CF Image Hosting Script.
//
//   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
//   COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
//   OR  IN  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
//
//  You may not modify and/or remove any copyright notices or labels on the software on each
//  page (unless full license is purchase) and in the header of each script source file.
//
//  You should have received a full copy of the LICENSE AGREEMENT along with
//  CF Image Hosting Script.  If not, see http://codefuture.co.uk/projects/imagehost/license/
//   
////////////////////////////////////////////////////////////////////////////////////
//
// File Name : persian.lang.php
// version: 1.0
// Description: This Persian(Farsi) language file for CF Image Hosting Script version 1.4.X
// Author: M.Majidi
// Author website: www.persianscript.ir
// Author email: persianscript.ir@gmail.com
//
////////////////////////////////////////////////////////////////////////////////////

$LANGUAGE_PACK = array();

///////////////////////////////////////////////////////////////////
// admin
	$LANGUAGE_PACK["site_charset"]							= 'UTF-8';
//beta4 update
	$LANGUAGE_PACK["admin_menu_image_list"] 				= 'تصاویر';
	$LANGUAGE_PACK["admin_login_remember_me"]				= 'مرا به خاطر بسپار';
	$LANGUAGE_PACK["admin_login_button_submit"]				= 'ارسال';
	$LANGUAGE_PACK["site_index_upload_preferences"]			= 'تنظیمات';
	$LANGUAGE_PACK["feed_description"]						= '10 تصویر جدید';
	$LANGUAGE_PACK["feed_language"]							= 'fa-ir';
	$LANGUAGE_PACK["feed_image_name"]						= 'نام تصویر';
	$LANGUAGE_PACK["feed_no_images"]						= 'هیچ تصویری بارگزاری نشده است';

// not used 
//	$LANGUAGE_PACK["site_index_bookmarklet"]				= '<b>Bookmarklet</b>, Drag this Button to your bookmarks bar to quickly upload images you find on the web.';
//	$LANGUAGE_PACK["site_index_bookmarklet_button"]			= 'Upload images to';// + SET_TITLE

//beta3 update
	$LANGUAGE_PACK["admin_set_google_channal_code"]			= 'شناسه کد تبلیغات گوگل';
	$LANGUAGE_PACK["admin_set_watermark_center"]			= 'وسط';
	$LANGUAGE_PACK["admin_set_watermark_left"]				= 'چپ';
	$LANGUAGE_PACK["admin_set_watermark_right"]				= 'راست';
	$LANGUAGE_PACK["admin_set_watermark_image"]				= 'آدرس Watermark تصاویر';
	$LANGUAGE_PACK["admin_forgot_password_email_err"]		= 'آدرس ایمیل غیر مجاز است!';
	$LANGUAGE_PACK["admin_menu_visitsite"]					= 'نمایش سایت';
	$LANGUAGE_PACK["admin_image_thumb_page_link"]			= 'لینک به صفحه بند انگشتی';

//beta1
	$LANGUAGE_PACK["admin_home_imglist_tt_hotlink_views"]	= 'تعداد دفعاتی که تصویر از طریق سایت های دیگر دیده شده است';
	$LANGUAGE_PACK["admin_home_hotlink_views"]				= 'دیده شده';
	$LANGUAGE_PACK["admin_home_overview"]					= 'آمار کلی';
	$LANGUAGE_PACK["admin_home_page_views"]					= 'بازدید صفحات';
	$LANGUAGE_PACK["admin_home_unique_visits"]				= 'بازدید های منحصربفرد';
	$LANGUAGE_PACK["admin_home_today"]						= 'امروز';
	$LANGUAGE_PACK["admin_home_yesterday"]					= 'دیروز';
	$LANGUAGE_PACK["admin_home_this_month"]					= 'این ماه';
	$LANGUAGE_PACK["admin_home_over_all"]					= 'کلی';
	$LANGUAGE_PACK["admin_home_last_7_days"]				= '7 روز گذشته';
	$LANGUAGE_PACK["admin_home_by_bandwidth"]				= 'بوسیله پهنای باند';
	$LANGUAGE_PACK["admin_home_by_hotlink_views"]			= 'بوسیله آمار بازدید';
	$LANGUAGE_PACK["admin_home_id"]							= 'شناسه';
	$LANGUAGE_PACK["admin_home_name"]						= 'نام';
	$LANGUAGE_PACK["admin_home_bandwidth"]					= 'پهنای باند';
	$LANGUAGE_PACK["admin_home_reported_images"]			= 'تصاویر گزارش شده';
	$LANGUAGE_PACK["admin_home_image_index"]				= 'Image Index';
	$LANGUAGE_PACK["admin_home_your_email"]					= 'ایمیل شما';
	$LANGUAGE_PACK["admin_footer_powered_by"]				= 'قدرت گرفته از';

	$LANGUAGE_PACK["admin_home_number_to_list_all"]			= 'همه';
	$LANGUAGE_PACK["admin_session_error"]					= 'Cannot start a new PHP session. Please contact server administrator or webmaster!';
	$LANGUAGE_PACK["admin_home_private_images"]				= 'تصاویر خصوصی';

	$LANGUAGE_PACK["admin_image_edit_alt"]					= 'ویرایش توضیحات و تنظیمات تصویر';
	$LANGUAGE_PACK["admin_image_edit_title"]				= 'ویرایش تصویر';
	$LANGUAGE_PACK["admin_image_edit_des_title"]			= 'توضیحات';
	$LANGUAGE_PACK["admin_image_edit_pp_title"]				= 'تصویر خصوصی/عمومی';
	$LANGUAGE_PACK["admin_image_edit_private"]				= 'خصوصی';
	$LANGUAGE_PACK["admin_image_edit_public"]				= 'عمومی';
	$LANGUAGE_PACK["admin_image_edit_suc"]					= 'تصویر شما با موفقیت بروز شد';
	$LANGUAGE_PACK["admin_image_edit_button"]				= 'بروز رسانی';

	$LANGUAGE_PACK["admin_forgot_password_title"]			= 'رمز جدید';
	$LANGUAGE_PACK["admin_forgot_password_login_link"]		= 'فراموشی رمز عبور';
	$LANGUAGE_PACK["admin_forgot_password_err"]				= 'خطا در بازیابی رمز جدید......';

	$LANGUAGE_PACK["admin_forgot_password_suc"]				= 'رمز جدید ذخیره شد';

	$LANGUAGE_PACK["admin_forgot_password_email_subject"]	= 'لینک رمز جدید';//SET_TITLE - Password Reset Link  (SET_TITLE is auto set)
	//{user_name} replace with the admin username
	//{reset_url} replace with a link to reset the admin password
	$LANGUAGE_PACK["admin_forgot_password_email_body"]		= '
	<div style="width:700px; margin:0 auto;direction:rtl;font-family:tahoma;font-size:11px">
		سلام, {user_name}<br/>
		شما یا فردی دیگر درخواست تغییر رمز عبور خود را داده اید. <br/><br/>
		لطفا روی لینک زیر کلیک کنید یا آدرس را در مرورگر خود باز کنید: <br/>
		{reset_url}<br/><br/>

		با استفاده از لینک بالا میتوانید رمز عبور خود را بازیابی کنید <br/>
		این ایمیل به صورت اتوماتیک ارسال شده است. لطفا به این ایمیل پاسخی ندهید
	</div>';

	$LANGUAGE_PACK["admin_logged_out_suc"]					= 'شما با موفقیت از سایت خارج شدید!';
	$LANGUAGE_PACK["admin_login_err"]						= 'نام کاربری یا رمز عبور وارد شده اشتباه می باشد.';

	$LANGUAGE_PACK["admin_delete_image_suc"]				= 'تصویر با موفقیت حذف شد.';
	$LANGUAGE_PACK["admin_delete_image_err"]				= 'یک خطا در هنگام حذف تصویر رخ داده است. دوباره سعی کنید';
	$LANGUAGE_PACK["admin_delete_thumb_suc"]				= 'بند انگشتی با موفقیت حذف شد';
	$LANGUAGE_PACK["admin_delete_thumb_err"]				= 'یک خطا در هنگام حذف بند انگشتی رخ داد';
	$LANGUAGE_PACK["admin_delete_small_thumb_suc"]			= 'تصویر بند انگشتی کوچک با موفقیت حذف شد';
	$LANGUAGE_PACK["admin_delete_small_thumb_err"]			= 'یک خطا در هنگام حذف تصویر بند انگشتی به وجود آمد';
	$LANGUAGE_PACK["admin_delete_image_db_suc"]				= 'تصویر با موفقیت از دیتابیس حذف شد';
	$LANGUAGE_PACK["admin_delete_image_db_err"]				= 'یک مشکل در هنگام ذخیره در دیتابیس به وجود آمد';
	$LANGUAGE_PACK["admin_delete_no_image_err"]				= 'تصویری با این نام وجود ندارد!';

	$LANGUAGE_PACK["admin_bandwidth_reset_suc"]				= 'پهنای باند با موفقیت ریست شد';
	$LANGUAGE_PACK["admin_bandwidth_reset_err"]				= 'یک خطا در هنگام ریست کردن پهنای باند به وجود آمد';

	$LANGUAGE_PACK["admin_image_report_remove_suc"]			= 'این تصویر با موفقیت از قسمت گزارش ها حذف شد.';
	$LANGUAGE_PACK["admin_image_report_remove_err"]			= 'یک خطا در هنگام حذف تصویر از لیست گزارش شده ها رخ داده است.';

	$LANGUAGE_PACK["admin_image_report_alt_remove"]			= 'حذف تصویر از لیست گزارش داده شده ها';
	$LANGUAGE_PACK["admin_image_report_alt_delete"]			= 'حذف تصویر';
	$LANGUAGE_PACK["admin_image_report_delete"]				= "آیا شما از حذف تصویر با شناسه %s مطمئن هستید؟ این عمل غیر قابل بازگشت است"; // %s = image id
	$LANGUAGE_PACK["admin_image_report_alt_ban"]			= 'اخراج کاربر ارسال کننده تصویر';

	$LANGUAGE_PACK["admin_menu_logout"]						= 'خروج';
	$LANGUAGE_PACK["admin_menu_settings"]					= 'تنظیمات';
	$LANGUAGE_PACK["admin_menu_banned"]						= 'اخراج کاربر';
	$LANGUAGE_PACK["admin_menu_home"]						= 'پیشخوان';

	$LANGUAGE_PACK["admin_home_tooltip_total_images"]		= 'تصاویر موجود در دیتابیس';
	$LANGUAGE_PACK["admin_home_total_images"]				= 'تمامی تصاویر';
	$LANGUAGE_PACK["admin_home_tooltip_filespace_used"]		= 'Total filespace used for uploaded images';
	$LANGUAGE_PACK["admin_home_filespace_used"]				= 'فضای استفاده شده';
	$LANGUAGE_PACK["admin_home_tooltip_total_bandwidth"]	= 'Total bandwidth used by all upload images';
	$LANGUAGE_PACK["admin_home_total_bandwidth"]			= 'تمام پهنای باند';
	$LANGUAGE_PACK["admin_home_top_image"]					= 'تصاویر برتر';

	$LANGUAGE_PACK["admin_home_tooltip_date_reported"]		= 'تصاویر گزارش داده شده';
	$LANGUAGE_PACK["admin_home_date_reported"]				= 'تاریخ گزارش';
	$LANGUAGE_PACK["admin_home_tooltip_image_name"]			= 'نام/توضیحات تصویر';
	$LANGUAGE_PACK["admin_home_image_name"]					= 'نام/توضیحات تصویر';
	$LANGUAGE_PACK["admin_home_tooltip_reported"]			= 'تعداد دفعاتی که این تصویر گزارش داده شده است';
	$LANGUAGE_PACK["admin_home_reported"]					= 'گزارش داده شد';

	$LANGUAGE_PACK["admin_home_number_to_list"]				= 'آیتم ها در لیست';
	$LANGUAGE_PACK["admin_home_order_list"]					= 'نمایش بر اساس';
	$LANGUAGE_PACK["admin_home_order_list_date_added"]		= 'تاریخ ارسال';
	$LANGUAGE_PACK["admin_home_order_list_last_viewed"]		= 'آخرین بازدید';
	$LANGUAGE_PACK["admin_home_order_list_viewed"]			= 'بازدید';
	$LANGUAGE_PACK["admin_home_order_list_bandwidth_used"]	= 'پهنای باند مصرفی';
	$LANGUAGE_PACK["admin_home_order_list_gallery_clicked"]	= 'کلیک های گالری';

	$LANGUAGE_PACK["admin_home_imglist_tt_image_added"]		= 'تاریخی که تصویر ارسال شده است';
	$LANGUAGE_PACK["admin_home_imglist_image_added"]		= 'تاریخ ارسال';
	$LANGUAGE_PACK["admin_home_imglist_tt_image_name"]		= 'نام/توضیحات تصویر';
	$LANGUAGE_PACK["admin_home_imglist_image_name"]			= 'نام/توضیحات تصویر';
	$LANGUAGE_PACK["admin_home_imglist_tt_last_viewed"]		= 'تعداد روز هایی که تصویر غیر فعال است';
	$LANGUAGE_PACK["admin_home_imglist_last_viewed"]		= 'آخرین<br/>بازدید';
	$LANGUAGE_PACK["admin_home_imglist_tt_gallery_clicks"]	= 'تعداد دفعاتی که از قسمت گالری روی این تصویر کلیک شده است';
	$LANGUAGE_PACK["admin_home_imglist_gallery_clicks"]		= 'کلیک های<br/>گالری';
	$LANGUAGE_PACK["admin_home_imglist_tt_small_thumb"]		= 'تصویر بند انگشتی کوچک دیده شده';
	$LANGUAGE_PACK["admin_home_imglist_small_thumb"]		= 'بند انگشتی<br/>کوچک';
	$LANGUAGE_PACK["admin_home_imglist_tt_thumb"]			= 'بند انگشتی دیده شده';
	$LANGUAGE_PACK["admin_home_imglist_thumb"]				= 'بند انگشتی';
	$LANGUAGE_PACK["admin_home_imglist_tt_original_image"]	= 'نمایش تصویر در اندازه اصلی';
	$LANGUAGE_PACK["admin_home_imglist_original_image"]		= 'آپلود <br/>تصویر';
	$LANGUAGE_PACK["admin_home_imglist_tt_bandwidth_used"]	= 'پهنای باند مصرف شده تصویر';
	$LANGUAGE_PACK["admin_home_imglist_bandwidth_used"]		= 'پهنای باند<br/>مصرفی';
	$LANGUAGE_PACK["admin_home_imglist_tt_private"]			= 'پهنای باند مصرف شده تصویر';
	$LANGUAGE_PACK["admin_home_imglist_private"]			= 'خصوصی';


	$LANGUAGE_PACK["admin_ban_user_suc"]					= 'شما با موفقیت IP %s را به لیست اخراج شده ها اضافه کردید';
	$LANGUAGE_PACK["admin_ban_user_err_save_db"]			= 'یک خطا در هنگام ذخیره IP در دیتابیس رخ داد';
	$LANGUAGE_PACK["admin_ban_user_err_no_ip"]				= 'برای اخراج یک فرد باید IP را وارد کنید!';
	$LANGUAGE_PACK["admin_ban_user_suc_unbanned"]			= 'شما با موفقیت IP %s را از اخراج بودن حذف کردید';
	$LANGUAGE_PACK["admin_ban_user_alt_unban"]				= 'حذف اخراج';
	$LANGUAGE_PACK["admin_ban_form_title"]					= 'اخراج یک کاربر از آپلود تصویر';
	$LANGUAGE_PACK["admin_ban_form_ip"]						= 'IP';
	$LANGUAGE_PACK["admin_ban_form_reason"]					= 'دلیل';
	$LANGUAGE_PACK["admin_ban_form_button"]					= 'اخراج کاربر';
	$LANGUAGE_PACK["admin_ban_list_tt_date_banned"]			= 'تاریخ اضافه شدن به لیست اخراج شده ها';
	$LANGUAGE_PACK["admin_ban_list_date_banned"]			= 'تاریخ اخراج';
	$LANGUAGE_PACK["admin_ban_list_tt_ip"]					= 'آدرس IP های اخراج شده';
	$LANGUAGE_PACK["admin_ban_list_ip"]						= 'IP';
	$LANGUAGE_PACK["admin_ban_list_tt_reason"]				= 'دلیل اخراج شدن کاربر';
	$LANGUAGE_PACK["admin_ban_list_reason"]					= 'دلیل';

	$LANGUAGE_PACK["admin_set_err_password_wrong"]			= 'رمز عبور وارد شده غیر معتبر می باشد';
	$LANGUAGE_PACK["admin_set_err_password_both"]			= 'شما باید رمز عبور پیشین رو رمز جدید خود را وارد نمایید';
	$LANGUAGE_PACK["admin_set_err_username"]				= 'نام کاربری نمیتواند خالی باشد.';
	$LANGUAGE_PACK["admin_set_err_email_invalid"]			= 'آدرس ایمیل وارد شده معتبر نیست!';
	$LANGUAGE_PACK["admin_set_err_script_url"]				= 'آدرس سایت باید وارد شود و نمیتواند خالی باشد';
	$LANGUAGE_PACK["admin_set_suc_update"]					= 'بروز رسانی تنظیمات';
	$LANGUAGE_PACK["admin_set_err_saveing_settings"]		= 'یک خطا در هنگام ذخیره تغییرات رخ داد. دوباره سعی کنید';

	$LANGUAGE_PACK["admin_set_save_button"]					= 'ذخیره تغییرات';
	$LANGUAGE_PACK["admin_set_option_on"]					= 'روشن';
	$LANGUAGE_PACK["admin_set_option_off"]					= 'خاموش';
	$LANGUAGE_PACK["admin_set_option_yes"]					= 'بله';
	$LANGUAGE_PACK["admin_set_option_no"]					= 'خیر';

	$LANGUAGE_PACK["admin_set_hide_faq"]					= 'صفحه سوالات متداول';
	$LANGUAGE_PACK["admin_set_image_widgit"]				= 'ابزارک نمایش تصاویر تصادفی';
	$LANGUAGE_PACK["admin_set_title_gallery_setting"]		= 'گالری';
	$LANGUAGE_PACK["admin_set_allow_duplicate"]				= 'جلوگیری از ارسال تصاویر تکراری';
	$LANGUAGE_PACK["admin_set_allow_image_resize"]			= 'اجازه به کاربران برای تغییر اندازه تصاویر';

	$LANGUAGE_PACK["admin_set_watermark_title"]				= 'واترمارک';
	$LANGUAGE_PACK["admin_set_watermark_des"]				= 'واترمارک (watermark) ابزاریست مانند یک مهر یا کپی رایت که در تمامی تصاویر ارسال شده توسط کاربران متن یا تصویر دلخواه شما را قرار میدهد. شما همچنین میتوانید مکان این متن یا تصویر را به دلخواه انتخاب نمایید';
	$LANGUAGE_PACK["admin_set_watermark_text"]				= 'متن واترمارک';
	$LANGUAGE_PACK["admin_set_watermark_position"]			= 'مکان واترمارک';
	$LANGUAGE_PACK["admin_set_watermark_top"]				= 'بالا';
	$LANGUAGE_PACK["admin_set_watermark_bottom"]			= 'پایین';

	$LANGUAGE_PACK["admin_set_show_image_details"]			= 'نمایش مشخصات تصویر';	
	$LANGUAGE_PACK["admin_set_title_url_shortener"]			= 'کوتاه کننده لینک';
	$LANGUAGE_PACK["admin_set_url_short_service"]			= 'سرویس کوتاه کننده لینک';
	$LANGUAGE_PACK["admin_set_url_short_api_url"]			= 'API URL <small>(فقط برای سرویس Yourl)</small>';
	$LANGUAGE_PACK["admin_set_url_short_api_password"]		= 'API Password/Key <small>(for all other then B54)</small>';
	$LANGUAGE_PACK["admin_set_url_short_api_username"]		= 'API username <small>(for all other then B54)</small>';

	$LANGUAGE_PACK["admin_set_title_admin_setting"]			= 'مدیر';
	$LANGUAGE_PACK["admin_set_old_password"]				= 'رمز عبور پیشین';
	$LANGUAGE_PACK["admin_set_new_password"]				= 'رمز عبور جدید';
	$LANGUAGE_PACK["admin_set_confirm_new_password"]		= 'تکرار رمز عبور جدید';
	$LANGUAGE_PACK["admin_set_admin_username"]				= 'نام کاربری مدیری';
	$LANGUAGE_PACK["admin_set_email_address"]				= 'ایمیل مدیر';

	$LANGUAGE_PACK["admin_set_title_site_setting"]			= 'تنظیمات اصلی';
	$LANGUAGE_PACK["admin_set_script_url"]					= 'آدرس اسکریپت';
	$LANGUAGE_PACK["admin_set_site_title"]					= 'عنوان سایت';
	$LANGUAGE_PACK["admin_set_site_slogan"]					= 'شعار سایت';
	$LANGUAGE_PACK["admin_set_footer_copyright"]			= 'کپی رایت فوتر';
	$LANGUAGE_PACK["admin_set_site_theme"]					= 'قالب سایت';
	$LANGUAGE_PACK["admin_set_images_per_gallery_page"]		= 'تصاویر در هر صفحه گالری';
	$LANGUAGE_PACK["admin_set_mod_rewrite"]					= 'فعال سازی سئو(mod rewrite)';
	$LANGUAGE_PACK["admin_set_link_panel_open"]				= 'Link Panel Open (on page load)';
	$LANGUAGE_PACK["admin_set_report_allow"]				= 'فعال سازی گزارش تصاویر';
	$LANGUAGE_PACK["admin_set_report_remove_images"]		= 'حذف تصاویر گزارش داده شده از گالری';
	$LANGUAGE_PACK["admin_set_report_Send_email"]			= 'ارسال ایمیل هنگامی که تصویری گزارش می شود';
	$LANGUAGE_PACK["admin_set_language"]					= 'زبان سایت';
	
	$LANGUAGE_PACK["admin_set_title_hide_page"]				= 'مدیریت صفحات';
	$LANGUAGE_PACK["admin_set_hide_gallery"]				= 'صفحه گالری';
	$LANGUAGE_PACK["admin_set_hide_contact"]				= 'تماس با ما';
	$LANGUAGE_PACK["admin_set_hide_tos"]					= 'قوانین و مقررات';
	$LANGUAGE_PACK["admin_set_hide_search"]					= 'جستجو';

	$LANGUAGE_PACK["admin_set_title_auto_deleted"]			= 'حذف اتوماتیک';
	$LANGUAGE_PACK["admin_set_des_auto_deleted"]			= 'حذف اتوماتیک تصاویر یک ابزار مناسب می باشد که به شما این امکان را می دهد تا بتوانید تصاویر غیر فعال را از سایت خود حذف کنید. شما میتوانید مشخض کنید تصاویری که بعد از تعداد روزهای خاص دیده نشد به صورت اتوماتیک حذف شود. این کار باعث می شود تصاویر اسپم و غیر فعال بدون مشکل و دستکاری مدیر حذف شوند';
	$LANGUAGE_PACK["admin_set_auto_deleted"]				= 'حذف اتوماتیک(تصاویر غیرفعال)';
	$LANGUAGE_PACK["admin_set_auto_deleted_for"]			= 'حذف اتوماتیک(بعد از چند روز)';
	$LANGUAGE_PACK["admin_set_auto_deleted_days"]			= 'روز';
	$LANGUAGE_PACK["admin_set_run_auto_deleted"]			= 'اجرای حذف اتوماتیک';
	$LANGUAGE_PACK["admin_set_run_auto_deleted_day"]		= 'هر روز';
	$LANGUAGE_PACK["admin_set_run_auto_deleted_week"]		= 'هر هفته';
	$LANGUAGE_PACK["admin_set_run_auto_deleted_Month"]		= 'هر ماه';

	$LANGUAGE_PACK["admin_set_title_upload_setting"]		= 'آپلود';
	$LANGUAGE_PACK["admin_set_disable_upload"]				= 'غیر فعال سازی آپلود';
	$LANGUAGE_PACK["admin_set_image_max_bandwidth"]			= 'حداکثر پهنای باند تصاویر';
	$LANGUAGE_PACK["admin_set_image_max_bandwidth_des"]		= 'اگر شما میخواهید برای پهنای باند محدودیتی قرار ندهید عدد صفر (0) را وارد نمایید';
	$LANGUAGE_PACK["admin_set_auto_reset_bandwidth"]		= 'ریست کردن پهنای باند';
	$LANGUAGE_PACK["admin_set_multiple_upload_max"]			= 'حداکثر تعداد آپلود همزمان فایل';
	$LANGUAGE_PACK["admin_set_max_upload_file_size"]		= 'حداکثر حجم مجاز فایل';
	$LANGUAGE_PACK["admin_set_private_image_upload"]		= 'آپلود تصاویر خصوصی';
	$LANGUAGE_PACK["admin_set_url_shortener"]				= 'کوتاه کننده لینک(b54.in)';
	
	$LANGUAGE_PACK["admin_set_title_google_setting"]		= 'گوگل';
	$LANGUAGE_PACK["admin_set_google_setting_des"]			= 'در صورتی که قصد دارید یکی از سرویس های گوگل آنالیز یا تبلیغات گوگل را استفاده نمایید میتوانید کد مورد نظر را در این قسمت وارد نمایید';
	$LANGUAGE_PACK["admin_set_google_analytics_code"]		= 'کد گوگل آنالیز';
	$LANGUAGE_PACK["admin_set_google_adsense_code"]			= 'کد تبلیغات گوگل';

	$LANGUAGE_PACK["admin_login_username"]					= 'نام کاربری';
	$LANGUAGE_PACK["admin_login_password"]					= 'رمز عبور';
	$LANGUAGE_PACK["admin_login_button"]					= 'ورود';

///////////////////////////////////////////////////////////////////
// USER
	$LANGUAGE_PACK["site_menu_home"]						= 'خانه';
	$LANGUAGE_PACK["site_menu_gallery"]						= 'گالری';
	$LANGUAGE_PACK["site_menu_faq"]							= 'سوالات متداول';
	$LANGUAGE_PACK["site_menu_tos"]							= 'قوانین و مقررات';
	$LANGUAGE_PACK["site_menu_contact"]						= 'تماس با ما';
	$LANGUAGE_PACK["site_search_text"]						= 'جستجوی تصویر';
	$LANGUAGE_PACK["site_search_button"]					= 'جستجو';
	$LANGUAGE_PACK["site_language"]							= 'زبان سایت :';

	$LANGUAGE_PACK["home_image_widgit"]						= 'تصویر تصادفی';
	$LANGUAGE_PACK["upload_duplicate_found"]				= 'One or more of the images you are uploading is a duplicate of a image what has been uploaded before.';

	$LANGUAGE_PACK["site_index_local_image_upload"]			= 'سیستم شخصی';
	$LANGUAGE_PACK["site_index_local_image_upload_title"]	= 'آپلود تصویر از کامپیوتر شخصی';
	$LANGUAGE_PACK["site_index_Remote_image_copy"]			= 'از لینک';
	$LANGUAGE_PACK["site_index_Remote_image_copy_title"]	= 'آپلود از سایت های دیگر';
	$LANGUAGE_PACK["site_index_Remote_image"]				= 'لینک تصویری که میخواهید به این سایت منتقل کنید را وارد نمایید';

	$LANGUAGE_PACK["site_index_resize_title"]				= 'تغییر اندازه تصویر شما در هنگام آپلود';
	$LANGUAGE_PACK["site_index_resize_height"]				= 'ارتفاع';
	$LANGUAGE_PACK["site_index_resize_width"]				= 'عرض';
	$LANGUAGE_PACK["site_index_resize_des"]					= 'در صورتی که شما تنها ارتفاع یا عرض را وارد نمایید سیستم به صورت خودکار به نسبت اندازه ارتفاع یا عرض وارد شده کل تصویر را تغییر اندازه می دهد';

	$LANGUAGE_PACK["site_index_delete_image_suc"]			= 'تصویر شما با موفقیت حذف شد';
	$LANGUAGE_PACK["site_index_delete_image_err_db"]		= 'یک خطا در هنگام ارتباط با پایگاه داده به وجود آمده است';
	$LANGUAGE_PACK["site_index_delete_image_err_not_found"]	= 'تصویری با این نام وجود ندارد';

	$LANGUAGE_PACK["site_index_hide_link"]					= 'لینک های تصویر';
	$LANGUAGE_PACK["site_index_social_networks"]			= 'اشتراک گذاری';
	$LANGUAGE_PACK["site_index_short_url_link"]				= 'لینک کوتاه (توییتر)';
	$LANGUAGE_PACK["site_index_bbcode"]						= 'BBCode (تالار گفتگو)';
	$LANGUAGE_PACK["site_index_html_code"]					= 'کد HTML (مای اسپیس)';
	$LANGUAGE_PACK["site_index_direct_link"]				= 'لینک مستقیم (ایمیل &amp; مسنجر ها)';

	$LANGUAGE_PACK["site_index_small_thumbnail_link"]		= 'لینک  بند انگشتی کوچک';
	$LANGUAGE_PACK["site_index_thumbnail_link"]				= 'لینک بند انگشتی';
	$LANGUAGE_PACK["site_index_image_link"]					= 'لینک تصویر';
	$LANGUAGE_PACK["site_index_thumbs_page_err"]			= 'تصویری با این نام وجود ندارد!';

	$LANGUAGE_PACK["site_index_des"]						= 'تصاویر خود را به صورت رایگان آپلود کنید و برای دوستان,خانواده و یا در شبکه های اجتماعی و سایت ها به اشتراک بگذارید';
	$LANGUAGE_PACK["site_index_Image_Formats"]				= 'پسوند های قابل پشتیبانی';
	$LANGUAGE_PACK["site_index_maximum_filesize"]			= 'حداکثر اندازه فایل';
	$LANGUAGE_PACK["site_index_uploading_image"]			= 'در حال آپلود تصویر...';
	$LANGUAGE_PACK["site_index_upload_image"]				= 'آپلود تصویر جدید';
	$LANGUAGE_PACK["site_index_upload_browse_button"]		= 'انتخاب';
	$LANGUAGE_PACK["site_index_upload_description"]			= 'توضیحات: (دلخواه)';
	$LANGUAGE_PACK["site_index_upload_button"]				= 'آپلود';
	$LANGUAGE_PACK["site_index_upload_disable"]				= 'آپلود تصویر غیر فعال می باشد';

	$LANGUAGE_PACK["site_index_auto_deleted"]				= '<b>فایل های غیر فعال</b> به صورت اتوماتیک بعد از  %s روز حذف می شوند';
	$LANGUAGE_PACK["site_index_max_bandwidth"]				= 'محدودیت پهنای باند';
	$LANGUAGE_PACK["site_index_max_bandwidth_per"]			= 'به ازای هر تصویر در ';
	$LANGUAGE_PACK["site_index_max_bandwidth_per_week"] 	= 'هفته';
	$LANGUAGE_PACK["site_index_max_bandwidth_per_month"]	= 'ماه';
	$LANGUAGE_PACK["site_index_max_upload"]					= 'آپلود چندین تصویر';
	$LANGUAGE_PACK["site_index_max_upload_max"]				= 'حداکثر';
	$LANGUAGE_PACK["site_index_tos_des"]					= 'تمامی تصاویری که خلاف قوانین باشد حذف می شوند. لطفا  %s سایت را مشاهده نمایید.';//%s = Terms of Service link 
	$LANGUAGE_PACK["site_index_private_img"]				= 'تصویر خصوصی';
	$LANGUAGE_PACK["site_index_short_url"]					= 'ایجاد لینک کوتاه در';

	$LANGUAGE_PACK["site_index_delete_url"]					= 'لینک حذف تصویر';
	$LANGUAGE_PACK["site_index_delete_url_des"]				= 'با استفاده از لینک زیر میتوانید تصویر خود را در هر زمانی حذف کنید';

	$LANGUAGE_PACK["site_contact_name_err_blank"]			= 'فیلد نام نمیتواند خالی باشد';
	$LANGUAGE_PACK["site_contact_email_err_blank"]			= 'ایمیل ضروری می باشد و نمیتواند خالی باشد';
	$LANGUAGE_PACK["site_contact_email_err_invalid"]		= 'آدرس ایمیل وارد شده درست نیست!';
	$LANGUAGE_PACK["site_contact_comment_err_blank"]		= 'برای ارسال نظر باید حتما متنی را وارد کنید!';
	$LANGUAGE_PACK["site_contact_captcha_err_blank"]		= 'کد امنیتی نمیتواند خالی باشد';
	$LANGUAGE_PACK["site_contact_captcha_err_invalid"]		= 'کد امنیتی اشتباه وارد شده است!';
	$LANGUAGE_PACK["site_contact_captcha_err_cookie"]		= 'کوکی مرورگر شما غیر فعال می باشد. آن را فعال کنید';

	$LANGUAGE_PACK["site_contact_thank_you"]				= 'متشکریم %s<br/>ما اطلاعات تماس شما را دریافت کردیم و در صورت نیاز به شما پاسخ خواهیم داد';
	$LANGUAGE_PACK["site_contact_des"]						= 'برای ارتباط با ما میتوانید از فرم زیر استفاده نمایید<br/>لطفا آدرس ایمیل واقعی ارسال نمایید تا در صورت نیاز بتوانیم پاسخ شما را بدهیم';
	$LANGUAGE_PACK["site_contact_form_name"]				= 'نام';
	$LANGUAGE_PACK["site_contact_form_email"]				= 'ایمیل';
	$LANGUAGE_PACK["site_contact_form_comment"]				= 'نظر';
	$LANGUAGE_PACK["site_contact_form_captcha"]				= 'کد امنیتی:';
	$LANGUAGE_PACK["site_contact_form_send"]				= 'ارسال';

	$LANGUAGE_PACK["site_thumb_image_details"]				= 'مشخصات تصویر';
	$LANGUAGE_PACK["site_thumb_image_size"]					= 'حجم تصویر';
	$LANGUAGE_PACK["site_thumb_image_dimensions"]			= 'اندازه تصویر';
	$LANGUAGE_PACK["site_thumb_uploaded_on"]				= 'آپلود شده در تاریخ';

	$LANGUAGE_PACK["site_gallery_report_suc"]				= 'تصویر مورد نظر با موفقبت گزارش شد';
	$LANGUAGE_PACK["site_gallery_report_err_reporting"]		= 'متاسفم! خطایی در گزارش تصویر شما به وجود آمده است. دوباره سعی کنید';
	$LANGUAGE_PACK["site_gallery_report_err_find"]			= 'تصویر مورد نظر شما برای گزارش وجود ندارد';
	$LANGUAGE_PACK["site_gallery_report"]					= 'گزارش';
	$LANGUAGE_PACK["site_gallery_report_title"]				= 'گزارش تصویر';
	$LANGUAGE_PACK["site_gallery_report_this"]				= 'آیا شما میخواهید این تصویر را گزارش کنید؟';
	$LANGUAGE_PACK["site_gallery_page_title"]				= 'صفحه گالری تصویر';
	$LANGUAGE_PACK["site_gallery_err_no_image"]				= 'تصویری در پایگاه داده ما ثبت نشده است';

	$LANGUAGE_PACK["site_search_err_short"]					= 'لطفا بیشتر از 3 کاراکتر وارد نمایید';
	$LANGUAGE_PACK["site_search_err_blank"]					= 'شما چیزی برای جستجو وارد نکردید!';
	$LANGUAGE_PACK["site_search_page_title"]				= 'جستجوی تصویر برای';
	$LANGUAGE_PACK["site_search_results"]					= ' %s نتیجه برای';
	$LANGUAGE_PACK["site_search_no_results"]				= 'متاسفم هیچ نتیجه ای یافت نشد برای';
	$LANGUAGE_PACK["site_search_suggestions"]				= 'Suggestions:<br/>Make sure all words in your query are spelled correctly<br/>Try a shorter query, or replace some keywords';

	$LANGUAGE_PACK["site_upload_err"]						= 'یک خطا در هنگام آپلود به وجود آمد';
	$LANGUAGE_PACK["site_upload_err_no_image"]				= 'متاسفم،ما هیچ تصویری برای آپلود پیدا نکردیم!';
	$LANGUAGE_PACK["site_upload_banned"]					= 'متاسفم! شما به دلیل استفاده نادرست از این سایت اخراج شده اید!';
	$LANGUAGE_PACK["site_upload_to_small"]					= 'متاسفم! اندازه تصویر بیش از حد کوچک می باشد. حداقل اندازه مجاز %s می باشد';
	$LANGUAGE_PACK["site_upload_to_big"]					= 'متاسفم! حجم تصویر بسیار زیاد می باشد. حداکثر حجم مجاز برای آپلود %s می باشد';
	$LANGUAGE_PACK["site_upload_size_accepted"]				= 'فقط تصاویر %s مجاز به اپلود هستند';
	$LANGUAGE_PACK["site_upload_types_accepted"]			= 'فقط پسوند ها %s را میتوانید آپلود کنید';

	$LANGUAGE_PACK["site_tos_title"]						= 'قوانین و مقررات';
	$LANGUAGE_PACK["site_tos_line1"]						= 'این حق را بر خود دانسته با تصاویری که خلاف قوانین باشند یا بر روی سرور های ما فشار وارد کنند یا به هر نحوی پهنای باند اضافه مصرف نماید از سایت حذف کند (بنا بر صلاحدید خود)';
	$LANGUAGE_PACK["site_tos_line2"]						= 'این سایت به صورت خصوصی اداره می شود و ما هیچ تضمینی بر وجود همیشگی فایل های شما بر روی سایت را نمیکنیم!';
	$LANGUAGE_PACK["site_tos_line3"]						= 'اجازه آپلود انواع تصاویر زیر را نمی دهد:';
	$LANGUAGE_PACK["site_tos_line4"]						= 'تصاویری که در آن کپی رایت رعایت نشده است';
	$LANGUAGE_PACK["site_tos_line5"]						= 'تصاویری که دارای محتوای غیر مجاز و غیر انسانی است';
	$LANGUAGE_PACK["site_tos_line6"]						= 'تصاویری از افراد مخوف,مرده یا قطع عضو';
	$LANGUAGE_PACK["site_tos_line7"]						= 'تصاویری که به حریم خصوصی افراد تجاوز کند';
	$LANGUAGE_PACK["site_tos_line8"]						= 'تصاویری که به هر نحو در کشور ایران غیر مجاز می باشد.';
	$LANGUAGE_PACK["site_tos_line9"]						= 'تصاویر هیج گاه حذف نمی شوند مگر اینکه قوانین سایت ما را نقض کنند';
	$LANGUAGE_PACK["site_tos_line10"]						= 'این حق را دارد تا مانع از دسترسی کاربرانی شود که امنیت سرور های سایت ما را نقض می کنند یا بیش از حد از پهنای باند سایت استفاده میکنند.';
	$LANGUAGE_PACK["site_tos_line11"]						= 'این حق را دارد تا بدون اطلاع رسانی قبلی شرایط و قوانین سرویس دهی را تغییر دهد';
	$LANGUAGE_PACK["site_privacy_policy_title"]				= 'سیاست حفظ حریم خصوصی';
	$LANGUAGE_PACK["site_privacy_policy_line1"]				= 'ما این تضمین را می دهیم تا اطلاعات شخصی کاربران هیچگاه در اینترنت منتشر نشود';

	$LANGUAGE_PACK["site_faq_title"]						= 'سوالات متداول کاربران';
	$LANGUAGE_PACK["site_faq_q1"]							= ' %s چیست؟ چطور میتوانم از این سایت استفاده کنم؟';// %s site title
	$LANGUAGE_PACK["site_faq_a1"]							= 'این سایت یک مرکز به اشتراک گذاری تصاویر می باشد. شما میتوانید تصاویر را در این سایت بارگزاری کنید و به دوستان,خانواده و اقوام خود نمایش دهید یا میتوانید در شبکه های اجتماعی به اشتراک بگذارید';
	$LANGUAGE_PACK["site_faq_q2"]							= 'برای استفاده از سایت باید پولی بپردازم؟';
	$LANGUAGE_PACK["site_faq_a2"]							= 'خیر! این وبسایت کاملا رایگان است و هیچ هزینه ای دریافت نمیکنیم. در صورتی که قصد دارید از ما حمایت کنید روی تبلیغات کلیک کنید';// %s site title
	$LANGUAGE_PACK["site_faq_q3"]							= 'چه پسوند هایی را میتوانم در سایت آپلود کنم؟';
	$LANGUAGE_PACK["site_faq_a3"]							= 'تصاویر و عکس های شما میتواند در سایت آپلود شوند'; // file types are listed before this
	$LANGUAGE_PACK["site_faq_q4"]							= 'چه تصاویری را میتوانم آپلود کنم؟';
	$LANGUAGE_PACK["site_faq_a4"]							= 'تمامی تصاویر های غیر مجاز شامل جنسی,توهین به مذاهب,تصاویر شامل کپی رایت و خلاف قوانین کشور ایران غیر مجاز می باشد و در صورت مشاهده و گزارش کاربران دسترسی کاربر به سایت فورا قطع خواهد شد';
	$LANGUAGE_PACK["site_faq_q5"]							= 'چرا تصاویر من با پسوند BMP یا PSD بعد از آپلود تبدیل به یک پسوند PNG می شود؟';
	$LANGUAGE_PACK["site_faq_a5"]							= 'چون تمامی تصاویر با پسوند های BMP و PSD برای نمایش مستقیم در وب نیاز به تغییر پسوند استاندارد دارند';
	$LANGUAGE_PACK["site_faq_q6"]							= 'آیا لینک مستقیم به تصاویر امکان پذیر است؟';
	$LANGUAGE_PACK["site_faq_a6"]							= 'بله . لینک تصاویر به چندین صورت (بند انگشتی,لینک به فروم,تصویر بند انگشتی کوچک و لینک مستقیم) بارگزاری می شوند و کاربر میتواند به دلخواه یکی را انتخاب کند. پهنای باند مجاز برای هر تصویر';// bandwidth limit (set in settings) is added to the end
	$LANGUAGE_PACK["site_faq_q7"]							= 'تصاویر من تا چه زمانی روی سرور های شما هستند؟';
	$LANGUAGE_PACK["site_faq_a7_1"]							= 'در صورتی که تصاویر شما خلاف قوانین نباشند برای همیشه بر روی سرور های ما ذخیره خواهند بود. <a href="tos.php" title="%1$s">%1$s</a> را مشاهده کنید';//%1$s tos- title
	$LANGUAGE_PACK["site_faq_a7_2"]							= 'However, if your image has not been accessed for more than %1$d days, it will be automatically deleted from our server.';//%2$d number of days
	$LANGUAGE_PACK["site_faq_q8"]							= 'حداکثر حجم مجاز برای آپلود چه مقدار می باشد؟';
	$LANGUAGE_PACK["site_faq_a8"]							= 'حداکثر اندازه مجاز فایل ';// file size added to end (set in settings)
	$LANGUAGE_PACK["site_faq_q9"]							= 'چگونه میتوانم به شما کمک کنم؟';
	$LANGUAGE_PACK["site_faq_a9"]							= 'میتوانید سایت ما را به دوستانتان معرفی کنید یا در سایت و وبلاگ خود آدرس وبسایت ما را قرار دهید';
	$LANGUAGE_PACK["site_faq_q10"]							= 'سوال دیگری داری؟';
	$LANGUAGE_PACK["site_faq_a10"]							= 'از صفحه <a href="contact.php" title="Contact page">تماس با ما</a> اقدام نمایید';

?>