<?php
//
//   CF Image Hosting Script 
//   --------------------------
//
//   Author:    codefuture.co.uk
//   Version:   1.4.1
//   Date:      03 April 2011
//
//   download the latest version from - http://codefuture.co.uk/projects/imagehost/
//
//   This file is part of the CF Image Hosting Script.
//   
////////////////////////////////////////////////////////////////////////////////////
class GoogleUrlApi{
	
	private $APIKey;//application key
	private $API = "https://www.googleapis.com/urlshortener/v1/url";//api url

	function GoogleUrlApi($apiKey=""){
		if ($apiKey != ""){
			$this->APIKey = $apiKey;
		}
	}

	function expand($shortURL , $analytics = false){
		$url = $this->API.'?shortUrl='.$shortURL;
		if ($this->APIKey)	$url .= '&key='.$this->APIKey;
		if ($analytics)		$url .= '&projection=FULL';
		$ch = curl_init($url);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);   
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		$result = curl_exec($ch);  
		curl_close($ch);
		$array = json_decode($result, true);
		return $array;    
	}

	function shorten($longURL){
		$vars = "";
		if ($this->APIKey) $vars .= "?key=$this->APIKey";
		$ch = curl_init($this->API.$vars);  
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_HTTPHEADER,array('Content-Type: application/json'));
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false );
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_POSTFIELDS, '{"longUrl": "' . $longURL . '"}');
		$result=curl_exec($ch);  
		curl_close($ch);
		$response = json_decode($result, true);
		return isset($response['id']) ? $response['id'] : false;
	}
}